MPlayer(1)

NAME
mplayer - Lecteur Vidéo pour Linux
mencoder - Encodeur Vidéo pour Linux

SYNOPSIS
mplayer [options] [ fichier | URL | playlist | - ]
mplayer
[options globales] fichier1 [options spécifiques] [fichier2] [options spécifiques]
mplayer
[options globales] {groupe de fichiers et d'options} [options spécifiques au groupe]
mplayer
[dvd|vcd|cdda|cddb|tv]://titre [options]
mplayer
[mms[t]|http|http_proxy|rt[s]p]:// [user:passwd@]URL[:port] [options]
mencoder [options] [ fichier | URL | - ] [-o fichier]
gmplayer [options] [-skin skin]

DESCRIPTION
mplayer est un lecteur vidéo pour LINUX (il fonctionne sur beaucoup d'autres Unices et processeurs non-x86, voir la documentation). Il joue la plupart des formats MPEG/VOB, AVI, ASF/WMA/WMV, RM, QT/MOV/MP4, OGG/OGM, VIVO, FLI, NuppelVideo, yuv4mpeg, FILM et RoQ, supportés par plusieurs codecs natifs, par XAnim et par les codecs Win32. Vous pouvez regarder des VideoCD, SVCD, DVD, 3ivx, DivX 3/4/5 et même des films WMV (sans utiliser la bibliothèque avifile).

Un autre gros atout de MPlayer est la grande variété de pilotes de sortie supportés. Il fonctionne avec X11, XV, DGA, OpenGL, SVGAlib, fbdev, AAlib, DirectFB, mais vous pouvez aussi utiliser GGI, SDL (et de cette façon tous leurs drivers), VESA (sur n'importe quelle carte compatible VESA, même sans X11), quelques drivers spécifiques à certaines cartes (pour Matrox, 3Dfx et ATI) et certaines carte de décompression MPEG, telles que les Siemens DVB, DXR2 et DXR3/Hollywood+. La plupart d'entre eux supportent le redimensionnement logiciel ou matériel, vous pouvez donc apprécier les films en plein écran.

MPlayer possède un affichage sur écran (OnScreenDisplay) pour les informations, de belles et grandes polices lissées et des effets visuels pour confirmer les contrôles au clavier. Les polices européennes/ISO 8859-1,2 (Hongroise, Anglaise, Tchèque, etc), Cyrillique et Coréenne sont supportées ainsi que 9 formats de sous-titres(MicroDVD, SubRip, SubViewer, Sami, VPlayer, RT, SSA, AQTitle et le nôtre: MPsub) et les sous-titres DVD (SPU streams, VobSub et Closed Captions).

mencoder (MPlayer's Movie Encoder) est un simple encodeur de vidéos, conçu pour encoder des vidéos jouables par MPlayer (voir ci-dessus) dans d'autres formats jouables par MPlayer (voir ci-dessous) . Il encode en DivX4, XviD, un des codecs libavcodec, et en PCM/MP3/VBRMP3 audio en 1, 2 ou 3 passes. Il permet également de copier des flux de données (stream), possède un puissant système de plugins (découpage, expansion, retournement, postprocess, rotation, redimensionnement, bruit, conversion rgb/yuv) et bien plus.

gmplayer est l'interface graphique de MPlayer. Il possède les mêmes options que MPlayer.

NOTES GENERALES
Regardez également la documentation HTML!

Chaque option a son opposé, par exemple l'inverse de l'option -fs est -nofs.

Vous pouvez placer toutes les options dans un fichier de configuration qui sera lu à chaque exécution de MPlayer. Le fichier de configuration général 'mplayer.conf' se trouve dans le répertoire habituel des fichiers de configuration (par exemple. /etc/mplayer ou /usr/local/etc/mplayer), et le fichier de configuration spécifique à l'utilisateur se trouve dans '~/.mplayer/config'. Les options du fichier utilisateur ont priorité sur les options du fichier global, et les options données sur la ligne de commande ont priorité sur tous les fichiers. La syntaxe des fichiers de configuration est 'option=<valeur>', tout ce qui suit un '#' est considéré comme commentaire. Les options qui nécessitent des valeurs peuvent être activés en les initialisant à 'yes' ou '1' ou désactivés en les initialisant à 'no' ou '0'. Ceci est même applicable aux sous-options. EXEMPLE:
# Utilise les pilotes Matrox par défaut.
vo=xmga
# J'adore faire le poirier en regardant les vidéos.
flip=yes
# Décode/encode des fichiers png, démarre avec -mf on
mf= type=png:fps=25 Vous pouvez également écrire des fichiers de config spécifiques à un fichier. Si vous souhaitez avoir un fichier de config pour un fichier nommé 'film.avi', créez un fichier nommé 'film.avi.conf' contenant les options spécifiques à ce fichier et placez-le dans ~/.mplayer ou dans le même répertoire que le fichier.

OPTIONS DU LECTEUR (MPLAYER UNIQUEMENT)

-, -use-stdin
    Lis les données depuis stdin. L'option -idx ne fonctionne pas en conjonction avec cela.

-autoq <qualité> (utiliser avec -vop pp)
    Change dynamiquement le niveau de postprocessing en fonction de la charge processeur. Le nombre à indiquer est le niveau maximum utilisé. Normalement vous pouvez utiliser un nombre important. Vous devez utiliser -vop pp sans paramètres pour l'utiliser.

-autosync <facteur>
    Ajuste graduellement la synchro A/V en fonction de la mesure du décalage audio. En spécifiant -autosync 0, valeur par défaut, la synchronisation des trames sera entièrement basée sur la mesure du décalage audio. En spécifiant -autosync 1 ce sera la même chose, mais cela changera légèrement l'algorithme de correction A/V utilisé. On peut souvent améliorer la lecture d'une vidéo possédant un taux de transfert irrégulier, mais qui peut-être lue avec -nosound, en initialisant cette option à une valeur entière supérieure à 1. Plus cette valeur sera élevée, plus le débit sera proche de -nosound. Essayez -autosync 30 pour faire disparaître les problèmes avec les drivers audio qui ne possèdent pas une mesure de décalage audio parfaite. Avec cette valeur, si de large écarts de synchro A/V se produisent, il ne mettront que une seconde ou deux pour disparaître. Ce temps de réaction devrait être le seul effet de bord si cette option est activé, pour tous les drivers audio.

-benchmark
    Affiche quelques statistiques sur l'utilisation CPU et les trames sautées à la fin. A utiliser avec -nosound et -vo null pour mesurer les performances du codec Video.

-edl <nomfichier>
    Active les actions d'édition de liste de décision (EDL) durant la lecture. La vidéo sera sautée et le son coupé et remis suivant les entrées du fichier indiqué. Voir DOCS/documentation.html#edl pour les détails sur comment l'utiliser.

-edlout <nomfichier>
    Créé un nouveau fichier et écrit les enregistrements d'édition de la liste de décision (EDL) dans ce fichier. Durant la lecture, quand l'utilisateur tape 'i', une entrée à sauter après les deux dernières secondes de la lecture est écrite dans ce fichier. Cela fournit un point de départ depuis lequel l'utilisateur peut régler plus finement les entrées EDL plus tard. Voir DOCS/documentation.html#edl pour les détails.

-enqueue (GUI uniquement)
    Ajoute les fichiers donnés en ligne de commande à la liste de lecture au lieu de les jouer immédiatement.

-fixed-vo (CODE BETA!)
    force un système de vidéo fixe pour des fichiers multiples (une (dès)initialisation pour pour tous les fichiers). Ainsi une seule fenêtre sera ouverte pour tous les fichiers. Actuellement les pilotes suivants fonctionnent avec fixed-vo: x11, xv, xvidix, xmga, gl2 et svga.

-framedrop (voir aussi -hardframedrop)
    Saute l'affichage de certaines trames pour maintenir la synchro A/V sur les systèmes lents. Les filtres vidéo ne sont pas appliqués sur de telles trames. Pour les trames B même leur décodage est complétement désactivé.

-h, -help, --help
    Affiche un court résumé des options.

-hardframedrop
    Saute les trames de façon plus brutale (casse le décodage). Mène à des distorsions d'image!

-identify
    Affiche les paramètres du fichier dans un format facilement analysable. Le script TOOLS/midentify supprime le reste de l'affichage et (espérons-le) formate les noms de fichiers pour le shell.

-input <commandes>
    Cette option peut être utilisée pour configurer certaines parties du système de contrôle. Les chemins sont relatifs à ~/.mplayer/. NOTE:
    La répétition automatique n'est pour l'instant supporté que par les joysticks.
    Les commandes disponibles sont: Lit le fichier input.conf. Si aucun chemin n'est précisé, ~/.mplayer est utilisé. Temps en msec avant de démarrer la répétition automatique d'une touche (0 pour désactiver). Combien de frappes par seconde pendant la répétition automatique. Afficher toutes les clés pouvant être attachées. Afficher toutes les commandes pouvant être attachées. Spécifier le périphérique joystick à utiliser (/dev/input/js0 par défaut). Lit les commandes depuis un fichier donné. Utile surtout avec une communication fifo.

-lircconf <fichier>
    Indique un fichier de configuration pour LIRC (Linux Infrared Remote Control, voir http://www.lirc.org) si vous n'aimez pas le ~/.lircrc par défaut.

-loop <nombre>
    Répète la lecture <nombre> fois. 0 signifie illimité.

-menu (CODE BETA)
    Active le menu OSD.

-menu-root <valeur> (CODE BETA)
    Spécifie le menu principal.

-menu-cfg <file> (CODE BETA)
    Utilise un autre menu.conf.

-nojoystick
    Désactive le support joystick. Activé par défaut, si il a été compilé pour.

-nolirc
    Désactive le support de LIRC.

-nortc
    Désactive l'utilisation du RTC Linux (real-time clock - /dev/rtc) comme mécanisme de synchro.

-playlist <fichier>
    Lit les fichiers en fonction d'une playlist (1 fichier par ligne, ou aux formats Winamp ou ASX).

-quiet
    Affiche moins de messages.

-really-quiet
    Affiche encore moins de messages.

-sdp
    Indique que le fichier d'entrée est un fichier SDP ('Session Description Protocol') qui décrit une session RTP (voir http://www.live.com/mplayer/).

-shuffle
    Joue les fichiers en ordre aléatoire.

-skin <répertoire des skin> (BETA CODE)
    Charge les skins depuis le répertoire spécifié (SANS chemin). EXEMPLE: essaie /usr/local/share/mplayer/ en premier, puis ~/.mplayer/ en cas d'échec.

-slave  Cette option enclenche le mode esclave.
    Ceci est prévu pour l'utilisation de MPlayer en tant que base (backend) pour d'autres programmes. Au lieu d'intercepter les évènements clavier, MPlayer va lire des commandes simples via son entrée stdin. La section PROTOCOLE DU MODE ESCLAVE explique la syntaxe.

-softsleep
    Utilise des timers logiciels de haute qualité. Aussi précis que le RTC sans nécessiter de privilèges spéciaux, au prix toutefois d'une consommation CPU plus importante.

-speed <0.01-100>
    Règle la vitesse de lecture.

-sstep <sec>
    Spécifie le nombre de secondes entre chaque trame. Utile pour les diaporamas.

OPTIONS DEMUXER/FLUX

-aid <id> (voir aussi l'option -alang)
    Sélectionne le canal audio [MPEG: 0-31 AVI/OGM: 1-99 ASF/RM: 0-127 VOB(AC3): 128-159 VOB(LPCM): 160-191] MPlayer affiche les IDs disponibles quand il tourne en mode verbeux (-v).

-alang <code de pays à deux lettres> (voir aussi l'option -aid)
    Fonctionne uniquement pour la lecture de DVD. Cela sélectionne la piste audio et tente toujours de lire les flux audio dont la langue correspond au code donné. Pour afficher la liste des langues disponibles, utilisez l'option -v et regardez le résultat. EXEMPLE: Sélectionne le hongrois et se rabat sur l'anglais si le hongrois n'est pas disponible.

-audio-demuxer <nombre> (-audiofile uniquement)
    Force le type de demuxer audio pour -audiofile. Indiquez l'ID demuxer comme défini dans demuxers.h. Utilisez -audio-demuxer 17 pour forcer la détection des .mp3.

-audiofile <nomfichier>
    Joue l'audio depuis un fichier externe ((WAV, MP3 ou Ogg Vorbis) pendant la visualisation d'un film.

-bandwidth <valeur>
    Spécifie la bande passante maximum pour le streaming par le réseau (pour les serveurs capable d'envoyer du contenu à différents débits). Utile si vous voulez voir en direct des média streamés avec un connexion lente.

-cdrom-device <chemin périphérique>
    Outrepasse le nom par défaut du lecteur de CDROM /dev/cdrom.

-cache <koctets>
    Cette option indique combien de mémoire (en Ko) à utiliser mettant un fichier en cache/URL. Particulièrement utile sur des média lents (le comportement par défaut est -nocache).

-cdda <option1:option2>
    Cette option est utilisé pour régler les capacités de lecture de CD Audio de MPlayer.
    Les options disponibles sont: Règle la vitesse de lecture du CD Règle le niveau de paranoia 0: désactive la détection
    1: détection des chevauchements uniquement (comportement par défaut)
    2: correction et vérification des données complètes utiliser le périphérique SCSI générique spécifié taille de lecture atomique force la recherche minimum de chevauchements pendant vérification à <valeur> secteurs. Considère que l'offset de début de la piste 1 comme reportée dans la TOC sera adressée en tant que LBA 0. Certains lecteurs Toshiba ont besoin de cela pour garder des transitions de pistes correctes. Ajoutez <valeur> secteurs aux valeurs renvoyés pendant l'adressage des pistes. Peut être négatif. (jamais) accepter les reconstructions imparfaites de données.

-channels <nombre>
    Indique le nombre de canaux audio à utiliser, '2' par défaut si non spécifié. Si le nombre de canaux de sortie est plus grand que celui des canaux d'entrée des canaux vides sont insérés (à moins de mixer de mono vers stéréo, dans ce cas le canal mono est répété sur les deux canaux de sortie). Si le nombre de canaux de sortie est plus petit que celui des canaux d'entrée, les résultats dépendront du décodeur audio (-afm). MPlayer demande au décodeur de décoder l'audio dans le nombre requis de canaux. Maintenant c'est au décodeur de satisfaire cette demande. Si le décodeur sort sur plus de canaux que demandé, les canaux en plus seront tronqués. C'est généralement seulement important en jouant des vidéos avec de l'audio AC3 (comme les DVDs). Dans ce cas liba52 fait le décodage par défaut et downmixe correctement l'audio dans le nombre requis de canaux. NOTE:
    Cette option est utilisé par les codecs (ac3 uniquement) filtres (surround) et drivers ao (OSS au moins).
    Les options disponibles sont: Stereo Surround Plein 5.1

-chapter <id chapitre>[-<id fin chapitre>]
    Indique à quel chapitre commencer la lecture. Vous pouvez également indiquer à quel chapitre arrêter la lecture (par défaut: 1). Des exemples sont disponibles plus bas.

-csslib <nomfichier>
    (option DVD ancienne méthode) Cette option est utilisé pour forcer l'endroit où se trouve libcss.so.

-cuefile <nomfichier> (voir -vcd également)
    Lit un (S)VCD à partir d'une image CDRwin (format de fichier bin/cue), décrite par le fichier spécifié.

-demuxer <nombre>
    Forcer le type de demuxer. Indiquez l'ID demuxer comme défini dans demuxers.h. Utilisez -demuxer 17 pour forcer la détection des .mp3.

-dumpaudio (MPLAYER uniquement)
    Décharge le flux audio brut dans ./stream.dump (utile avec mpeg/ac3).

-dumpfile <nomfichier> (MPLAYER uniquement)
    Indique dans quel fichier MPlayer doit décharger. Devrait être utilisé avec -dumpaudio / -dumpvideo / -dumpstream.

-dumpstream (MPLAYER uniquement)
    Décharge le flux brut dans /stream.dump. Utile en rippant depuis un DVD ou depuis le réseau.

-dumpvideo (MPLAYER uniquement)
    Décharge le flux vidéo brut dans /stream.dump (pas très utilisable).

-dvd <id titre>
    Dit à MPlayer quel film lire (spécifié par le numéro de titre). Par exemple, parfois '1' est une bande annonce, et '2' est le vrai film. NOTE:
    Parfois le désentrelacement est requis pour la lecture de DVD, voir l'option -vop pp=0x20000.

-dvd-device <chemin périphérique>
    Force le nom de périphérique DVD /dev/dvd.

-dvdangle <id angle>
    Certains DVD contiennent des scènes qui peuvent être vues sous différents angles. Ici vous pouvez dire à MPlayer quels angles utiliser (par défaut: 1). Des exemples sont disponibles plus bas.

-dvdauth <Périphérique DVD>
    (option DVD ancienne méthode) Active la validation DVD en utilisant le périphérique indiqué.

-dvdkey <clé CSS>
    (option DVD ancienne méthode) Pendant le décodage d'un fichier VOB copié non-décrypté depuis un DVD, cette option fournit la clé CSS nécessaire au décryptage du VOB (la clé est affiché pendant la validation avec le lecteur de DVD en utilisant -dvdauth).

-dvdnav (BETA CODE!)
    Forcer l'utilisation de libdvdnav.

-forceidx
    Forcer la reconstruction de l'INDEX. Utile pour les fichiers possédant un index cassé (désynchro, etc). La recherche sera possible. Vous pouvez réparer l'index de façon permanente avec MEncoder (voir la documentation).

-fps <valeur>
    Forcer le débit vidéo (si la valeur est mauvaise/absente de l'entête) (nombre à virgule).

-frames <nombre>
    Joue/convertit uniquement les <nombre> premières trames, puis sort.

-hr-mp3-seek (.MP3 uniquement)
    Placement mp3 Haute résolution. Par défaut, activé quand un fichier MP3 externe est lu, car nous devons nous placer à la très exacte position pour garder la synchro A/V. Cela peut être lent surtout en allant en arrière - il doit revenir au début pour trouver la trame exacte.

-idx (voir aussi -forceidx)
    Reconstruit l'INDEX du fichier AVI si aucun INDEX n'a été trouvé, permet ainsi de ce déplacer. Utile avec les téléchargements cassés/incomplets, ou les AVIs de mauvaise qualité.

-mc <secondes/trame>
    Correction de synchro A-V maximum par trame (en secondes).

-mf <option1:option2:...>
    Utilisé pour décodage de multiples fichiers PNG ou JPEG.
    Les options disponibles sont: active le support multi-fichiers largeur de la sortie (autodétection) Hauteur de la sortie (autodétection) fps de la sortie (défaut: 25) type des fichiers d'entrée (types disponibles: jpeg, png, tga, sgi)

-ni (.AVI uniquement)
    Forcer l'utilisation du filtre AVI non entrelacé (permet de lire certains mauvais fichiers AVI).

-nobps (.AVI uniquement)
    Ne pas utiliser la valeur octet/sec moyenne pour la synchro A-V (AVI). Aide pour certains fichiers AVI avec une entête cassée.

-noextbased
    Désactive la sélection de demuxer basée sur l'extension du fichier. Par défaut, quand le type de fichier (demuxer) ne peut être détecté de façon fiable (le fichier n'a pas d'entête ou n'est pas suffisamment fiable), l'extension du fichier est utilisée pour sélectionner le demuxer. Il se rabat toujours sur une sélection de demuxer basée sur le contenu.

-passwd <mot de passe> (voir également l'option -user)
    Indique le mot de passe pour l'identification http.

-rawaudio <option1:option2:...>
    Cette option vous permet de lire des fichiers audio bruts. Il peut aussi être utilisé pour lire des CD audio qui ne sont pas 44KHz 16Bit stéréo.
    Les options disponibles sont: utilise le demuxer audio brut nombre de canaux taux d'échantillonage par seconde taille des échantillons en octets fourcc en hexa

-rawvideo <option1:option2:...>
    Cette option vous permet de lire des fichiers vidéo bruts.
    Les options disponibles sont: utilise le demuxer vidéo brut débit en trames par seconde, par défaut 25.0 définie la taille d'image standard largeur de l'image en pixels hauteur de l'image en pixels définie l'espace de couleurs espace de couleur (fourcc) en hexa taille de trame en octets

-rtsp-stream-over-tcp
    Utilisé avec 'rtsp://', URLs pour spécifier que les paquets RTP et RTCP entrants seront streamés sur TCP (en utilisant la même connexion TCP que RTSP). Cette option peut être utile si vous avez une connexion Internet cassée qui ne redirige pas les paquets UDP entrants (voir http://www.live.com/mplayer/).

-skipopening
    N'ouvre pas le DVD (dvdnav uniquement).

-sb <position octet> (voir l'option -ss également)
    Se place à la position donnée par 'octet'. Utile pour la lecture d'images CDROM / fichiers .VOB avec des saletés au début.

-srate <Hz>
    Force la fréquence d'échantillonage audio, en modifiant la vitesse de la vidéo pour garder la synchro a-v. MEncoder passe cette valeur à lame pour le ré-échantillonnage.

-ss <temps> (voir l'option -sb également)
    Se place à la position indiquée par 'temps'. EXEMPLE: se place à 56 secondes se place à 1 heure 10 min

-tv <option1:option2:...>
    Cette option active les facultés de capture TV de MPlayer. NOTE:
    MPlayer n'accepte pas les deux-points, vous devez donc taper l'ID périphérique avec des points (c'est-à-dire . hw.0,0 au lieu de hw:0,0).
    Bien que vous puissiez sélectionner n'importe quelle fréquence d'échantillonnage en utilisant ALSA, le codec audio de LAME n'est capable d'encoder que les fréquences 'standards'. Vous obtiendrez un fichier .avi sans son si vous choisissez une fréquence inhabituelle et utilisez ce codec.
    Les options disponibles sont: utilise l'entrée TV aucun son disponible: dummy, v4l, bsdbt848 Spécifier un autre périphérique que celui par défaut /dev/video0. Spécifier une autre entrée que celle par défaut 0 (Télévision) (voir la sortie pour en obtenir la liste) Spécifier sur quelle fréquence régler le tuner (par exemple 511.250). Non compatible avec le paramètre channels. format de sortie du tuner (yv12, rgb32, rgb24, rgb16, rgb15, uyvy, yuy2, i420) largeur de la fenêtre hauteur de la fenêtre fréquence de la capture vidéo (trames par seconde) taille maximale du tampon de capture en mégaoctets (la moitié de la mémoire physique par défaut) disponible: PAL, SECAM, NTSC Régler le tuner sur le canal <valeur> disponible: europe-east, europe-west, us-bcast, us-cable, etc Défini des noms pour les canaux. Utilisez _ pour les espaces dans les noms (ou jouez avec les quotes ;-). Les noms de canaux seront ensuite écrits en utilisant l'OSD, et les commandes tv_step_channel, tv_set_channel et tv_last_channel seront utilisables avec une télécommande (voir. lirc). Non compatible avec le paramètre frequency. Attention : Le numéro de canal sera sa position dans la liste des 'channels', en commençant à 1. Exemple: utilisez tv://1, tv://2, tv_set_channel 1, tv_set_channel 2, etc. Fixe la fréquence de capture audio capture l'audio même si il n'y a pas de sources audio signalées par v4l capture depuis ALSA choisit un mode audio: 0: mono
    1: stéréo
    2: language 1
    3: language 2 Par défaut, le nombre de canaux audio est déterminé par l'interrogation automatique de la carte tv. Cette option vous permet de forcer l'enregistrement stereo/mono sans tenir compte de l'option amode et des valeurs retournés par v4l. Elle peut être utilisé quand la carte tv est incapable de renvoyer le mode audio courant. set an audio device Indique un périphérique audio /dev/... pour OSS
    ID matériel pour ALSA choisir la sortie audio de la carte de capture, si elle à plus Ces options règlent les paramètres du mixeur de la carte de capture vidéo. Elles n'auront aucun effet si votre carte ne dispose pas d'un mixeur. Un valeur de 0 signifie capturer et bufferiser l'audio et la vidéo ensemble (par défaut pour mencoder). Une valeur de 0 (par défaut pour mplayer) signifie ne capturer que la vidéo et laisser l'audio passer au travers du câble de loopback de la carte TV à la carte son. Utilise la compression mjpeg matérielle (si la carte le supporte). En utilisant cette option, vous n'avez pas besoin de spécifier la largeur et la hauteur de la fenêtre de sortie, car MPlayer la déterminera automatiquement d'après la valeur de decimation (voir ci-dessous). choisis la taille de l'image qui sera compressée de façon matérielle: 1: grande taille
        704x576 PAL
        704x480 NTSC
    2: taille moyenne
        352x288 PAL
        352x240 NTSC
    4: petite taille
        176x144 PAL
        176x120 NTSC choisis la qualité de la compression jpeg
    (quality < 60 recommandé pour la grande taille)

-user <nom utilisateur> (voir également l'option -passwd)
    Indique un nom d'utilisateur pour l'identification http.

-vcd <piste>
    Joue une piste Video CD depuis un périphérique ou un fichier image (voir -cuefile).

-vid <id>
    Sélectionne le canal vidéo [MPG: 0-15 ASF: 0-255].

-vivo <sub-options> (DEBUG CODE)
    Force les paramètres audio du demuxer .vivo (pour débuggage).

OPTIONS OSD/SUB
NOTE:
voir -vop expand également.

-dumpmicrodvdsub (MPLAYER uniquement)
    Convertit les sous-titres donnés (via l'option -sub) au format MicroDVD. Créé un fichier dumpsub.sub dans le répertoire courant.

-dumpmpsub (MPLAYER uniquement)
    Convertit les sous-titres donnés (via l'option -sub) au format natif de MPlayer, MPsub. Créé un fichier dump.mpsub dans le répertoire courant.

-dumpsrtsub (MPLAYER uniquement)
    Convertit les sous-titres donnés (via l'option -sub) au format SubViewer (SRT). Créé un fichier dump.srt dans le répertoire courant.

-dumpjacosub (MPLAYER uniquement)
    Convertit les sous-titres donnés (via l'option -sub) au format basé sur le temps JACOsub. Crée un fichier dumpsub.js dans le répertoire courant.

-dumpsami (MPLAYER uniquement)
    Convertit les sous-titres donnés (via l'option -sub) au format basé sur le temps SAMI. Crée un fichier dumpsub.smi dans le répertoire courant.

-dumpsub (MPLAYER uniquement) (BETA CODE)
    Extrait les sous-titres d'un flux VOB. Voir également les options -dump*sub et -vobsubout*.

-ifo <fichier ifo vobsub>
    Indique le fichier à utiliser pour charger la palette et la taille des trames des sous-titres VOBSUB.

-ffactor <nombre>
    Ré-échantillonne l'alphamap de la police. Peut être: polices toutes blanches bordure noire très fine (par défaut) bordure noire fine bordure noire épaisse

-font <chemin vers lechier font.desc>
    Recherche les polices OSD/SUB dans un répertoire particulier (répertoire par défaut pour les polices normales: ~/.mplayer/font/font.desc, pour les polices FreeType: ~/.mplayer/subfont.ttf). NOTE:
    Avec FreeType, cette option détermine le chemin vers le fichier de polices.
    Les options -subfont-* ne sont disponibles que si le support de FreeType a été activé lors de la compilation. Si le support de FreeType a été activé, le support des vieilles polices ne peut l'être. EXEMPLE: -font ~/.mplayer/arial-14/font.desc
    -font ~/.mplayer/arialuni.ttf

-noautosub
    Désactive le chargement automatique du fichier de sous-titres.

-overlapsub
    Active le support des sous-titres qui dépassent pour tous les formats de sous-titres.

-nooverlapsub
    Désactive le support des sous-titres qui dépassent pour tous les formats de sous-titres (le comportement par défaut est d'en activer le support uniquement pour certains formats).

-osdlevel <0-3> (MPLAYER uniquement)
    Spécifie dans quel mode OSD démarrer. 0: sous-titres uniquement volume + position (par défaut) volume + position + compteur + pourcentage volume + position + compteur + pourcentage + temps total

-sid <id> (voir aussi l'option -slang)
    Active l'affichage des sous-titres DVD. Vous DEVEZ spécifier un nombre qui corresponds à une langue de sous-titres DVD (0-31). Pour obtenir une liste des sous-titres disponibles, utilisez avec l'option -v et regardez le résultat.

-slang <code de pays à deux lettres> (voir aussi l'option -sid)
    Ne fonctionne que pour la lecture de DVD. Active/sélectionne la langue des sous-titres DVD. Pour obtenir une liste des sous-titres disponibles, utilisez avec l'option -v et regardez le résultat. EXEMPLE: Sélectionne le hongrois et se rabat sur l'anglais si le hongrois n'est pas disponible.

-sub <fichier de sous-titres>
    Utilise/affiche ce fichier de sous-titres.

-sub-bg-alpha <0-255>
    Spécifie la valeur du canal alpha pour le fond des sous-titres et de l'osd. De grandes valeurs signifient plus transparent. La valeur 0 est une exception et signifie complètement transparent.

-sub-bg-color <0-255>
    Spécifie la valeur de la couleur pour le fond des sous-titres et de l'osd. Actuellement les sous-titres sont en niveau de gris donc cette valeur est équivalente à l'intensité de la couleur. La valeur 255 signifie blanc et 0 noir.

-subcc Affiche les sous-titres DVD Closed Caption (CC).
    Ce ne sont PAS les sous-titres VOB, ce sont des sous-titres ASCII spéciaux pour malentendants encodés dans les flux VOB sur la plupart des DVD zone 1. Actuellement il ne semble pas y avoir de sous-titres CC sur les DVD d'autres zones.

-subcp <codepage>
    Si votre système supporte iconv(3), vous pouvez utiliser cette option pour spécifier la page de code du sous-titres EXEMPLE: -subcp latin2
    -subcp cp1250

-sub-demuxer <number> (BETA CODE)
    Force le type de demuxer sous-titres pour -subfile.

-subdelay <sec>
    Décale les sous-titres de <sec> secondes. Peut être négatif.

-subfont-autoscale <0-3>
    Sélectionne le mode de redimensionnement automatique. NOTE:
    Zéro signifie que les tailles du texte et de l'OSD sont des largeur de polices en pixels.
    Le mode peut être: aucun redimensionnement proportionnel à la largeur du film proportionnel à la hauteur du film proportionnel à la diagonale du film (par défaut)

-subfont-blur <0-8>
    Fixe le rayon de flou (blur) sur les polices (par défaut: 2).

-subfont-encoding <valeur>
    Fixe l'encodage de la police. Avec 'unicode', tous les signes du fichier de police seront affichés et unicode sera utilisé (par défaut: unicode).

-subfont-osd-scale <0-100>
    Fixe le coefficient de mise à l'échelle automatique des éléments OSD (par défaut: 6).

-subfont-outline <0-8>
    Fixe l'épaisseur de la bordure de police (par défaut: 2).

-subfont-text-scale <0-100>
    Fixe le coefficient de mise à l'échelle automatique (en pourcentage de la taille de l'écran) (par défaut: 5).

-subfps <rate>
    Spécifie le rapport trame/sec du fichier de sous-titres (nombre à virgule), par défaut: même rapport que celui du film. NOTE:
    UNIQUEMENT pour les fichiers SUB basés sur tes trames, c'est-à-dire PAS le format MicroDVD.

-subfile <nomfichier> (BETA CODE)
    Actuellement inutilisé. Identique à -audiofile, mais pour les flux de sous-titres (OggDS?).

-subpos <0-100> (utile avec -vop expand)
    Spécifie la position des sous-titres sur l'écran. Cette valeur est la position verticale des sous-titres en % de la hauteur de l'écran.

-subalign <0-2>
    Spécifie de quelle manière les sous-titres doivent être alignés avec subpos. 0 signifie aligner en haut (comportement original/par défaut), 1 signifie aligner au centre, et 2 signifie aligner en bas.

-subwidth <10-100>
    Spécifie la largeur maximum des sous-titres sur l'écran. Utile pour la sortie TV. La valeur est la largeur des sous-titres en % de la largeur de l'écran.

-unicode
    Indique à MPlayer de traiter le fichier de sous-titre au format UNICODE.

-utf8
    Indique à MPlayer de traiter le fichier de sous-titre au un format UTF8.

-sub-no-text-pp
    Désactive tout type de postprocessing applicable sur le texte après avoir chargé les sous-titres. Utilisé pour déboguage.

-vobsub <fichier vobsub sans extension>
    Spécifie le fichier VobSub qui sera utilisé pour les sous-titres. Indiquez le chemin complet sans extensions, c'est-à-dire sans '.idx', '.ifo' ou '.sub'.

-vobsubid <0-31>
    Spécifie le numéro de sous-titre du fichier VobSub.

-spualign <-1-2>
    Spécifie comment les sous-titres spu (DVD/VobSub) devraient être alignés. Les valeurs sont les mêmes que pour -subpos, avec le choix supplémentaire -1 pour la position d'origine.

-spuaa <mode>
    Mode d'antialiasing/zoom pour DVD/VobSub. Une valeur de 16 peut être ajoutée au mode de façon à forcer le zoom même si les trames d'origine et zoomée correspondent déjà, par exemple pour lisser les sous-titres avec le flou gaussien. Les modes disponibles sont: aucun (le plus rapide, très sale) approximatif (cassé ?) plein (lent) bilinéaire (par défaut, rapide et pas trop mauvais) utilise le flou gaussien de swscaler (très bons résultats)

-spugauss <0.0-3.0>
    Paramètre de Variance du gaussien utilisé par -spuaa 4. Plus grand signifie plus flou. La valeur par défaut est 1.0.

OPTIONS DE SORTIE AUDIO (MPLAYER UNIQUEMENT)

-abs <valeur> (OBSOLETE)
    Outrepasse la détection de la taille du buffer audio du pilote/de la carte, -ao oss uniquement

-af <plugin1,plugin2,plugin3[=options],...>
    Affiche une liste séparée par des virgules des filtres audio et de leurs options.
    Les filtres disponibles sont: Change le taux d'échantillonnage du flux audio à un taux entier (Hz). Il ne supporte que le format 16 bit little endian. Change le nombre de canaux à nc canaux de sorties. Si le nombre de canaux de sortie est plus grand que celui des canaux d'entrée des canaux vides sont insérés (à moins de mixer de mono vers stéréo, dans ce cas le canal mono est répété sur les deux canaux de sortie). Si le nombre de canaux de sortie est plus petit que celui des canaux d'entrée, les canaux en plus sont tronqués. Sélectionne le format f et les bits par sample (bps) utilisés pour la sortie depuis la couche filtre. L'option bps est un entier et indique le nombre d'octets par sample. Le format f est une chaîne contenant un mix concaténé de:
    alaw, mulaw ou imaadpcm
    nombre à virgule ou entier
    non-signé ou signé
    le ou be (little ou big endian)
    Sélectionne le niveau de sortie audio. Ce filtre n'est pas ré-entrant et ne peut donc être activé qu'une fois pour chaque flux audio. v: gain désiré en dB pour tous les canaux du flux. Le gain peut être initialisé avec de -200dB à +40dB (où -200dB coupe le son complètement et +40dB équivaut à un gain de 1000).
    sc: active la coupure douce. Mixe les canaux arbitrairement, voir DOCS/sound.html pour les détails. n: nombre de canaux de sortie (1 - 6).
    lij: combien de canaux j sont mixé dans le canal de sortie i. Ajoute un canal sub-woofer. fc: Fréquence de cut-off pour le filtre passe-bas (20Hz à 300Hz). La valeur par défaut est 60Hz.
    ca: numéro de canal pour le sous-canal. Décodeur pour le son surround matricié, fonctionne sur de nombreux fichiers à 2 canaux. d: Temps de décalage en ms pour les haut-parleurs arrières (0ms à 1000ms). La valeur par défaut est 15ms. Décale la sortie du son. Spécifie le décalage séparément pour chaque canal en millisecondes (nombre à virgule compris entre 0 et 1000).

-af-adv <force=(0-3):list=(filtres)> (voir l'option -af également)
    Spécifiez les options avancées des filtres audio: Force l'insertion des filtres dans l'un des suivants: 0: Insertion Complètement automatique des filtres (par défaut)
    1: Optimise pour la vitesse
    2: Optimise pour l'exactitude
    3: Désactive l'insertion auto Identique à -af (voir l'option -af).

-ao <driver1[:device],driver2,...[,]>
    Spécifie une liste de priorité des drivers (éventuellement avec un périphérique) de sortie audio à utiliser. 'périphérique' est valide également avec SDL, en tant que sous-pilote. NOTE:
    Pour obtenir la liste complète des pilotes disponibles, voir -ao help.
    Si la liste finit par ',', les autres pilotes seront essayés en cas d'échec. EXEMPLE essaie d'utiliser OSS avec le périphérique son spécifié et se rabat sur les autres en cas d'échec spécifier le sous-pilote SDL

-aofile <nomfichier>
    Nom de fichier pour -ao pcm.

-aop <list=plugin1,plugin2...:option1=valeur1:opt2=val2...>
    Spécifier le ou les plugins(s) et leurs options (voir également la documentation).
    Les options disponibles sont: liste des plugins séparée par des virgules (resample, surround, format, volume, extrastereo, volnorm) plugin d'exemple, à ne pas utiliser. format de sortie (plugin format uniquement) fréquence de sortie (plugin resample uniquement) volume (plugin volume uniquement) coefficient de stéréo (par défaut: 2.5) (plugin extrastereo uniquement) capacités de compression/'soft-clipping' (plugin volume uniquement)

-delay <sec>
    Décalage audio en secondes (peut être +/-nombre à virgule).

-format <0-8192>
    Sélectionne le format utilisé pour la sortie à partir de la couche filtre (suivant les définitions de libao2/afmt.h): Mu-Law A-Law Ima-ADPCM 8-bit signé 8-bit non signé 16-bit non signé (Little-Endian) 16-bit non signé (Big-Endian) 16-bit non signé (Little-Endian) 16-bit signé (Big-Endian) MPEG (2) Audio AC3 32-bit signé (Little-Endian) 32-bit non signé (Big-Endian)

-mixer <périph.>
    Cette option indique à MPlayer d'utiliser un autre périphérique de mixage que /dev/mixer.

-nowaveheader (-ao pcm uniquement)
    N'inclus pas l'entête wave. Utilisé avec RAW PCM.

OPTIONS DE SORTIE VIDEO (MPLAYER UNIQUEMENT)

-aa* (-vo aa uniquement)
    Vous pouvez obtenir une liste et des explication sur les options disponibles en exécutant mplayer -aahelp

-bpp <profondeur>
    Utilise une profondeur de couleur différente de celle détectée. Les pilotes -vo ne la supporte pas tous (fbdev, dga2, svga, vesa).

-brightness <-100-100>
    Ajuste la luminosité de la sortie vidéo (0 par défaut). Cela change l'intensité des composants RGB du signal vidéo de noir jusqu'à blanc.

-contrast <-100-100>
    Ajuste le contraste de la sortie vidéo (0 par défaut). Fonctionne de manière similaire à la luminosité.

-dfbopts <valeur> (-vo directfb2 uniquement)
    Spécifie une liste de paramètres pour le pilote directfb.

-display <nom>
    Spécifier le nom d'hôte et le numéro d'affichage du serveur X sur lequel vous désirer afficher la vidéo. EXEMPLE: -display xtest.localdomain:0

-double
    Active le double-buffering. Evite le scintillement en plaçant deux trames en mémoire, et en affichant l'une tandis que l'on décode l'autre. Peut affecter l'OSD. Nécessite deux fois plus de mémoire que pour un buffer simple, cela ne marchera donc pas sur les cartes qui ont très peu de mémoire.

-dr   Active le rendu direct (pas supporté par tous les codecs et sorties vidéo)
    (off par défaut). Attention: peut corrompre OSD/SUB!

-dxr2 <option1:option2:...>
    Cette option est utilisée pour contrôler le pilote dxr2. Note: Le filtre lavc est maintenant inséré automatiquement si vous essayez de lire un format non MPEG1/2 donc tous les formats supportés par MPlayer devraient être jouables de façon externe (si vous avez la puissance CPU requise pour encoder à la volée). Le chipset d'overlay utilisé sur la dxr2 est d'assez mauvaise qualité mais les réglages par défaut devraient fonctionner pour tout le monde. L'OSD peut être utilisable avec l'overlay (pas sur la TV) en le dessinant sur la couleur-clé. Avec les réglages de couleur-clé par défaut vous devriez obtenir des résultats variables, généralement vous verrez la couleur-clé autour des caractères et autres effets amusants. Mais si vous ajustez correctement les paramètres de couleur-clé vous devriez pouvoir obtenir des résultats acceptables. mode aspect ratio (0 = normal, 1 = pan scan, 2 = letterbox (par défault)) mode de sortie iec958 coupe la sortie son chemin du microcode
    Sortie TV
active 7.5 IRE sortie TV noirblanc sortie TV couleur sortie TV entrelacée mode macrovision (0 = off (par défaut), 1 = agc, 2 = agc 2 colorstripe, 3 = agc 4 colorstripe) norme TV (ntsc (par défaut), pal,pal60,palm,paln,palnc) TV mode pixel
    Overlay
ajuste la coupure de l'overlay valeur minimum de couleur clé valeur maximum de couleur clé valeurs de couleur clé ne pas utilise le cache VGA active le hack osd sur l'overlay ajuste la taille et la position de l'overlay au cas où il ne corresponde pas parfaitement à la fenêtre autorise l'overlay règle l'overlay (1000 par défaut) récréer le cache VGA

-fb <périphérique> (fbdev ou DirectFB uniquement)
    Spécifie un périphérique framebuffer à utiliser. Par défaut /dev/fb0 est utilisé.

-fbmode <nommode> (fbdev uniquement)
    Se place dans le mode vidéo <nommode> tel qu'indiqué dans /etc/fb.modes. NOTE:
    le framebuffer VESA ne supporte pas le changement de mode.

-fbmodeconfig <nomfichier> (fbdev uniquement)
    Utilise ce fichier de configuration à la place de celui par défaut /etc/fb.modes. Valide uniquement avec le pilote fbdev.

-forcexv (SDL uniquement)
    Force l'utilisation de XVideo.

-fs Affichage plein-écran (centre le film, et place les bandes noires autour). Basculer avec la touche 'f' (les modes de sortie vidéo ne le supportent pas tous). Voir aussi -zoom.

-fsmode-dontuse <0-31> (OBSOLETE) (utiliser l'option -fs)
    Essayez cette option si vous avez encore des problèmes en plein écran.

-fstype <type1,type2,...>
    Spécifie une liste de priorité des couches de paramètres plein-écran à utiliser. L'ordre par défaut est "layer,stays_on_top,above,fullscreen". Ce sera utilisé pour se rabattre au cas où un mode incorrect ou insupporté soit indiqué.
    Si des fenêtres recouvrent le plein écran, essayez un ordre différent. NOTE:
    Voir -fstype help pour une liste complète des modes disponibles.

-geometry x[%][:y[%]] ou [WxH][+x+y]
    Ajuste la position d'origine sur l'écran de la sortie. Les variables x et y sont en pixels mesurés à partir du coin supérieur droit de l'écran jusqu'au coin supérieur droit de la vidéo affichée, cependant si un signe pourcentage est indiqué après la variable, cette valeur est alors considérée comme le pourcentage de la taille de l'écran dans cette direction. Il supporte également le format d'option standard pour l'option X standard -geometry. Les valeur données doivent être des valeurs entières. Note: Cette option n'est supportée que par quelques vo, incluant tdfxfb, fbdev et xv. EXEMPLE: Place la fenêtre à x=50, y=40 Place la fenêtre au centre de l'écran Place la fenêtre en haut à gauche de l'écran Place la fenêtre en bas à gauche de l'écran

-guiwid <id fenêtre>
    Indique à la GUI d'utiliser également une fenêtre X11 et de se fixer au bas de la vidéo, ce qui est utile pour embarquer une mini-GUI dans un navigateur (avec mplayerplug-in par exemple).

-hue <-100-100>
    Ajuste la couleur (hue) du signal vidéo (0 par défaut). Vous pouvez obtenir un négatif de l'image avec cette option.

-icelayer <0-15> (icewm uniquement)
    Fixe la couche la de fenêtre plein-écran de mplayer pour icewm. Bureau En dessous Normal PremierPlan Dock SousDock Menu (par défaut)

-jpeg <option1:option2:...> (-vo jpeg uniquement)
    Spécifie les option de la sortie JPEG.
    Les options disponibles sont: Fichiers JPEG standards ou progressifs. Utilisation de la baseline ou pas. Facteur d'optimisation [0-100] Facteur de douceur [0-100] Facteur de qualité [0-100] Répertoire où sauver les fichiers JPEG

-monitor_dotclock <dotclock (ou pixelclock) range> (fbdev et vesa
    uniquement) Regardez dans etc/example.conf pour plus d'info, ainsi que dans DOCS/video.html.

-monitor_hfreq <intervalle de fréquence horizontal> (fbdev et vesa uniquement)

-monitor_vfreq <intervalle de fréquence vertical> (fbdev et vesa uniquement)

-monitoraspect <rapport>
    Fixe le rapport hauteur/largeur de votre moniteur ou de votre TV. Voir aussi -aspect pour l'aspect du film. EXEMPLE: -monitoraspect 4:3 ou 1.3333
    -monitoraspect 16:9 ou 1.7777

-nograbpointer
    Ne capte pas le pointeur de la sourie après une changement de Vidmode (-vm),
     utile pour les configurations multihead.

-nokeepaspect
    Ne garde pas l'aspect ratio de la fenêtre en redimensionnant les fenêtres X11 (Ne fonctionne actuellement qu'avec -vo x11, xv, xmga et xvidix et votre gestionnaire de fenêtres doit comprendre les astuces d'aspect de fenêtres.).

-noslices
    Désactive l'affichage de la vidéo par tranches/bandes de 16 pixels, affiche la trame entière d'un seul coup. Peut être plus rapide ou plus lent, en fonction de la carte/du cache. Cette option n'a d'effet que sur les codecs libmpeg2 et libavcodec.

-panscan <0.0-1.0>
    Active la fonctionnalité Pan & Scan; par exemple pour afficher un film 16/9 sur un affichage 4/3, les bords du film sont coupés pour obtenir une image 4/3 plein-écran. Cette option ne fonctionne qu'avec les pilotes de sortie xv, xmga, mga et xvidix.
    L'intervalle définit à quel point l'image sera coupée.

-rootwin
    Joue le film dans la fenêtre root (le fond du bureau) au lieu d'en ouvrir une nouvelle. Cette option ne fonctionne qu'avec les pilotes xv, xmga et xvidix.

-saturation <-100-100>
    Ajuste la saturation du signal vidéo (0 par défaut). Vous pouvez obtenir une sortie noir&blanc avec cette option.

-screenw <pixels> -screenh <pixels>
    Si vous utilisez un pilote de sortie qui ne connaît pas la résolution de l'écran (fbdev/x11 et/ou TVout) vous pouvez spécifier ici les résolutions horizontales et verticales.

-stop_xscreensaver
    Désactive xscreensaver au lancement et le réactive à la sortie.

-vm   Essaie de changer vers un meilleur mode vidéo.
    Les pilotes de sortie dga, x11/xv (XF86VidMode) et sdl le supportent.

-vo <driver1[:device],driver2,...[,]>
    Spécifie une liste de priorité des pilotes (éventuellement avec un périphérique) de sortie audio à utiliser. 'périphérique' est valide également avec SDL et GGI, en tant que sous-pilote. NOTE:
    Pour obtenir la liste complète des pilotes disponibles, voir -vo help.
    Si la liste finit par ',', les autres pilotes seront essayés en cas d'échec. EXEMPLE: Essaie le pilote noyau Matrox, puis le pilote Xv, puis les autres
    Spécifie le sous-pilote SDL

-vsync  Active VBI pour vesa.

-wid <window id>
    Permet d'utiliser une fenêtre X11, ce qui est utile pour intégrer MPlayer dans un navigateur (avec l'extension plugger par exemple).

-xineramascreen <0-...>
    Dans les configurations xinerama (c'est à dire un bureau unique s'étendant sur plusieurs écrans, cette option dit à MPlayer sur quel écran afficher le film.

-z <0-9>
    Spécifie le taux de compression pour la sortie PNG (-vo png) pas de compression compression maximum

-zrbw (-vo zr uniquement)
    Affiche en noir et blanc (pour des performances optimales, cette option peut être combinée avec l'option 'décoder uniquement en noir et blanc' des codecs appartenant à la famille FFmpeg).

-zrcrop <[width]x[height]+[x offset]+[y offset]> (-vo zr uniquement)
    Sélectionne une une partie de l'image pour affichage, de multiples occurrences de cette option activent le mode cinérama. En mode cinérama le film est répartie sur plusieurs TV (ou moniteurs) pour créer un écran plus large. Les options apparaissant après le n-ième -zrcrop s'appliquent à la n-ième carte MJPEG, chaque carte devant au moins avoir un -zrdev en plus de -zrcrop. Voir la sortie de -zrhelp et la section Zr de la documentation pour les exemples.

-zrdev <device> (-vo zr uniquement)
    Spécifier le fichier spécial qui corresponds à votre carte MJPEG, par défaut le pilote prends le premier périphérique v4l qu'il peut trouver.

-zrfd (-vo zr uniquement)
    Forcer la décimation: La décimation, paramétré via -zrhdec et -zrvdec, ne fonctionne que si le zoom hardware peut étirer l'image à sa taille originale. Utilisez cette option pour forcer la décimation.

-zrhelp (-vo zr uniquement)
    Affiche la liste de toutes les options -zr*, leur valeur par défaut et un exemple de mode cinérama.

-zrnorm <norm> (-vo zr uniquement)
    Spécifie la norme PAL/NTSC, par défaut:'no change'.

-zrquality <1-20> (-vo zr uniquement)
    Un nombre entre 1 et 20 représentant la qualité de l'encodage jpeg. 1 est la meilleur qualité et 20 la plus mauvaise.

-zrvdec <1,2,4> -zrhdec <1,2,4> (-vo zr uniquement)
    Décimation verticale/horizontale: Demande au pilote de n'envoyer que chaque second(e) ou quatrième ligne/pixel de l'image à la carte MJPEG et d'utiliser le zoom de la carte MJPEG pour étirer l'image à sa taille initiale.

-zrxdoff <x display offset>, -zrydoff <y display offset> (-vo zr uniquement)
    Si le film est plus petit que l'écran, cette option contrôle la position du film par rapport au coin supérieur gauche de l'écran. Le film est centré par défaut.

OPTIONS DE DECODAGE/FILTRAGE

-ac <[-]codec1,[-]codec2,...[,]>
    Spécifiez la liste de priorité des codecs audio à utiliser, à partir de leur nom de codec dans codecs.conf. Utilisez un '-' avant le nom d'un codec pour l'omettre. NOTE:
    Voir -ac pour une liste complète des codecs disponibles.
    Si la liste contient une ',' finale, se rabat alors sur les codecs non-listés. EXEMPLE: force le codec MP3 l3codeca.acm essaie d'abord libmad, puis se rabat sur les autres essaie le transfert matériel AC3, ensuite le codec logiciel AC3, puis les autres essaie d'autres codecs excepté le décodeur MP3 de FFmpeg

-afm <driver1,driver2,...>
    Spécifie une liste de priorité des pilotes audio à utiliser, d'après leur nom de pilote dans codecs.conf. Il se rabat sur celui par défaut si aucun ne convient. NOTE:
    Voir -afm help pour la liste complètes des pilotes disponibles. EXEMPLE: essaie les codecs libavcodec (mp1/2/3) de FFmpeg en premier essaie les codecs Win32 en premier

-aspect <ratio>
    Force l'aspect ratio des films. C'est autodétecté dans les fichiers MPEG, mais ne peut l'être dans la plupart des fichiers AVI. EXEMPLE: -aspect 4:3 ou -aspect 1.3333
    -aspect 16:9 ou -aspect 1.7777

-flip
    Inverse l'image de haut en bas.

-lavdopts <option1:option2:...> (CODE DE DEBOGUAGE)
    Si vous décodez avec libavcodec, vous pouvez spécifier ses paramètres ici. EXEMPLE: -lavdopts bug=1
    NOTE:
    Ajoutez juste les valeurs des choses que vous voulez activer.
    Les options disponibles sont:
annulation des erreurs: 1: utilise un filtre de déblocage fort pour les MBs endommagés
2: recherche MV itérative (lente)
3: toutes (par défaut) résiliation des erreurs:
0: désactivé
1: prudente (devrait fonctionner avec les encodeurs endommagés)
2: normale (par défaut) (fonctionne avec les encodeurs conformes)
3: agressive (plus de vérifications mais peut causer des problèmes même avec les flux valides)
4: très agressive contourne manuellement les bogues des encodeurs: 0: rien
1: autodétecter les bogues (par défaut)
2 (msmpeg4v3): certains vieux fichiers msmpeg4v3 générés avec lavc (pas d'autodétection)
4 (mpeg4): bogue d'entrelacement de xvid (autodétecté si fourcc==XVIX)
8 (mpeg4): UMP4 (autodétecté si fourcc==UMP4)
16 (mpeg4): bogue de remplissage
32 (mpeg4): bogue vlc illégal (autodétecté par fourcc)
64 (mpeg4): bogue qpel XVID et DIVX (autodétecté) (voir lavcopts) décodage en niveaux de gris uniquement (un peu plus rapide qu'en couleur)

-noaspect
    Désactive la compensation automatique de l'aspect ratio.

-nosound
    Ne pas jouer/encoder le son.

-pp <qualité> (voir l'option -vop pp également!)
    Initialise le niveau de postprocess de la DLL. Cette option N'EST PLUS UTILISABLE avec le filtre de postprocess de MPlayer, mais uniquement avec les DLLs DirectShow Win32 qui ont une routine de postprocessing interne. L'intervalle valide de la valeur -pp pour les filtres de pp varient suivant les codecs, généralement 0-6, où 0=désactivé 6=plus lent/meilleur.

-pphelp (voir l'option -vop pp également)
    Affiche un aperçu des filtres de postprocess disponibles et de leur utilisation.

-ssf <mode>
    Spécifie les paramètres de SwScaler. EXEMPLE -vop scale -ssf lgb=3.0
Filtre flou gaussien (luma) Filtre flou gaussien (chroma) filtre sharpen (luma) filtre sharpen (chroma) chroma horizontal shifting chroma vertical shifting

-stereo <mode>
    Sélectionne le mode de sortie stéréo MP2/MP3. Stéréo Canal gauche Canal droit

-sws <type de zoom logiciel> (voir également l'option -vop scale)
    Cette fonction fixe la qualité (et la vitesse, respectivement) du zoom logiciel, avec l'option -zoom option. Par exemple avec X11 ou d'autres sorties qui manquent d'accélération matérielle. Les réglages possibles sont: NOTE:
    Pour -sws 2 et 7, le sharpness peut être initialisé avec le paramètre de zoom (p) de -vop scale (0 (doux) - 100 (fort)), pour -sws 9, il spécifie la longueur du filtre (1 - 10). fast bilinear (par défaut) bilinear bicubic (bonne qualité) experimental plus proche voisin (mauvaise qualité) area luma bicubic / chroma bilinear gauss sincR lanczos bicubic spline

-vc <[-]codec1,[-]codec2,...[,]>
    Spécifie une liste de priorité des codecs vidéo à utiliser, suivant leur nom de codec dans codecs.conf. Utilisez un '-' avant le nom d'un codec pour l'omettre. NOTE:
    Voir -vc help pour une liste complète des codecs disponibles.
    Si la liste à une ',' finale, il se rabattra sur les codecs non-listés. EXEMPLE: force le codec DivX Win32/VFW, sans rabattement essaie le codec divx4linux en premier, puis se rabat sur les autres essaie les autres codecs excepté les codecs DivX Win32 essaie le codec MPEG1/2 de libavcodec, puis libmpeg2, puis les autres

-vfm <pilote1,pilote2,...>
    Spécifie une liste de priorité des pilotes vidéo à utiliser, suivant leur nom de pilote dans codecs.conf. Se rabattra sur celui par défaut si aucun ne convient. NOTE:
    Si le support libdivxdecore a été compilé, alors odivx et divx4 contiennent maintenant le même codec DivX4, mais plusieurs APIs pour l'atteindre. Pour les différences entre elles et quand utiliser laquelle, regardez la section DivX4 de la documentation.
    Voir -vfm help pour une liste complète des pilotes disponibles. EXEMPLE: essaie les codecs libavcodec, puis Directshow, puis VFW et se rabat sur les autres, si aucun n'arrive à convenir essaie les codecs XAnim en premier

-vop <...,filtre3[=options],filtre2,filtre1>
    Active une liste de filtres vidéo séparés par des virgules en ordre inversé. NOTE:
    Les paramètres sont optionnels et si omis, certains d'entre eux s'initialiseront avec des valeurs par défaut. Utilisez '-1' pour garder la valeur par défaut. Les paramètres w:h signifient largeur x hauteur en pixels, x:y signifient position x;y à partir de du coin supérieur gauche de la plus grande image.
    pour avoir une liste complète des plugins disponibles, voir -vop help.
    Les filtres disponibles sont: Découpe la partie donnée de l'image et jette le reste. Utile pour enlever les bandes noires d'un film écran large. l,h: Largeur et hauteur coupées, par défaut les largeur et hauteur originales.
    x,y: Position de l'image coupée, par défaut au centre. Calcule les paramètres nécessaires de coupe et les affiche sur stdout. Le seuil peut éventuellement être spécifié de rien (0) à tout (255). (par défaut: 24) Dessine un rectangle de la largeur et auteur demandées aux coordonnées spécifiées sur l'image (utilisé pour tester le découpage). l,h: largeur et hauteur (par défaut: -1, largeur maximum où les limites sont toujours visibles.
    x,y: position du coin supérieur gauche (par défaut: -1, le plus haut et le plus à gauche) Ce plugin réagit à la directive 'change_rectangle' de input.conf, qui prends deux paramètres. Le premier paramètre peut être 0 pour l, 1 pour h, 2 pour x et 3 pour y. Le second paramètre est la quantité de pixels par laquelle changer les limites du rectangle. Étends (ne zoom pas) la résolution du film aux valeurs fournies et place l'original non redimensionné aux coordonnées x y. Peut être utilisé pour placer les sous-titres /l'OSD dans les bandes noires. l,h: largeur,hauteur étendues (par défaut: largeur,hauteur originales)
    x,y: position de l'image originale sur l'image étendue (par défaut: centrée)
    o: rendu OSD/sous-titres
        0: désactivé (par défaut)
        1: activé Des valeurs négatives pour l et h sont traitées en tant qu'offsets par rapport à la taille originale, par exemple, expand=0:-50:0:0 ajoute un bord de 50 pixels en bas de l'image. Inverse l'image de haut en bas. Voir également l'option -flip. Inverse l'image selon l'axe Y. Tourne et (éventuellement) inverse l'image de +/- 90 degrés. Pour les paramètres entre 4-7 la rotation n'est faite que si la géométrie du film est en portrait et non en paysage. Redimensionne l'image avec le zoom logiciel (lent) et applique une conversion de palette YUV<->RGB (voir également l'option -sws). l,h: nouvelles largeur/hauteur après redimensionnement (par défaut: largeur,hauteur originales)
        Note: Si -zoom est utilisée, et que les filtres sous-jascents
        (y compris libvo) ne sont pas capable de redimensionner, alors les valeurs
        par défaut seront d_width/d_height!
        -1: largeur/hauteur originales
        0: largeur/hauteur dimmensionnées à d_width/d_height
        -2: Calcule l/h en utilisant l'autre dimension et l'aspect ratio
        redimensionné.
        -3: Calcule l/h en utilisant l'autre dimension et l'aspect ratio original.
    c: saut de chroma
        0: utilise toutes les lignes disponibles pour le chroma
        1: n'utilise qu'une ligne sur 2 pour le chroma
        2: n'utilise qu'une ligne sur 4 pour le chroma
        3: n'utilise qu'une ligne sur 8 pour le chroma
    p: paramètres de redimensionnement (dépends de la méthode de redimensionnement utilisée)
        pour -sws 2 (bicubique) est la duretée (0 (doux) - 100 (dur))
        pour -sws 7 (gaussien) est la duretée (0 (doux) - 100 (dur))
        pour -sws 9 (lanczos) est la longueur du filtre (1 - 10) La valeur 0 est utilisé pour la destination (aspect) zoomé l/h. (par défaut: l/h original, w/h de destination avec -zoom). Éventuellement des paramètres de saut chroma (c de 0-3) et de zoom peuvent être spécifiés. (voir l'option -sws pour les détails) Force la conversion logicielle YV12/I420 ou 422P vers YUY2 Utile pour les cartes graphiques/pilotes qui ont un support lent de YV12 mais rapide de YUY2. Force la conversion de couleur logicielle de YVU9 en YV12. Utiliser de préférence le zoom logiciel à la place. conversion de palette RGB 24/32 <-> BGR 24/32 swap: Échange en plus R <-> B. conversion de palette RGB/BGR 8 -> 15/16/24/32bpp en utilisant palette. Restreints la palette pour le prochain filtre sans faire de conversion. Utilisez-le avec le filtre scale pour une véritable conversion. fourcc: nom de format comme rgb15, bgr24, yv12, etc (par défaut: yuy2) Cette option active le filtre interne de postprocessing, et propose une interface où vous pouvez passer des options au filtre nommé. Pour obtenir une liste des filtres disponibles, utilisez -pphelp.
    Notez que chaque sous-filtre doit être séparé des autres avec le signe /.
    Chaque filtre est 'c' (chrominance) par défaut.
    Les mots-clés acceptent un préfixe '-' pour désactiver une option.
    A ':' suivi d'une lettre peut être ajouté à l'option pour indiquer sa portée: a: Désactive automatiquement le filtre si le CPU est trop lent.
    c: Filtre également la chrominance.
    y: Pas de filtrage de la chrominance (filtrage de la luminance uniquement).
    EXEMPLES:
-vop pp=hb/vb/dr/al/lb
-vop pp=hb/vb/dr/al
filtres par défaut sans correction de luminosité/contraste:
-vop pp=de/-al
Active les filtres par défaut & le débruiteur temporel:
-vop pp=de/tn:1:2:3
Débloque la luminance horizontale uniquement et active ou désactive le déblocage vertical suivant le temps CPU disponible:
-vop pp=hb:y/vb:a -autoq 6 Génère divers motifs de test. Conversion logicielle YV12 vers MPEG1 rapide avec libavcodec pour utilisation avec DVB/DXR3. Plus rapide et de meilleur qualitée que -vop fame. qualité:
    1 - 31 qscale fixe
    32 - débit fixe en kBits
fps: force les fps de sortie (nombre à virgule) (par défaut: 0, autodétection basée sur la hauteur) Conversion logicielle YV12 vers MPEG1 rapide avec libfame pour utilisation avec DVB/DXR3. Fixe le zoom optimum pour les cartes DVB, en redimmensionnant sur l'axe X de façon matérielle et en calculant le redimmensionnement sur l'axe Y de façon logicielle pour conserver l'aspect. aspect= contrôle l'aspect ratio, calculé comme ceci: DVB_HAUTEUR*ASPECTRATIO, par défaut: 576*4/3=768, fixez-le à 576*(16/9)=1024 pour une télé 16:9. Utile uniquement avec expand+scale: -vop lavc,expand=-1:576:-1:-1:1,scale=-1:0,dvbscale Ajoute du bruit. <0-100>: bruit luma
<0-100>: bruit chroma
u: bruit uniforme (gaussien sinon)
t: bruit temporel (le motif de bruit change entre les trames)
a: bruit temporel moyen (plus lisse, mais beaucoup plus lent)
h: haute qualité (qualité légèrement meilleure , mais légèrement plus lent)
p: mixe du bruit aléatoire avec un motif (semi-)régulier Ce filtre est destiné à réduire le bruit de l'image pour produire des images lissées et garder des images réellement fidèles (cela devrait améliorer la compatibilité.). On peut lui donner de 0 à 3 paramètres. Si vous omettez un paramètre, une valeur raisonnable sera insérée. luma: force spatiale du luma (par défaut = 4)
chroma: force spatiale du chroma (par défaut = 3)
time:    force temporelle (par défaut = 6)
Version de haute précision:qualité du filtre denoise3d. Les paramètres et le comportement sont les mêmes. Égaliseur logiciel avec contrôles interactifs comme les ég. matériels. Pour les cartes/pilotes qui ne supportent pas les contrôles de la luminosité et du contraste de façon matérielle. Peut également être utile avec MEncoder, soit pour réparer des films mal encodés, soit pour réduire légèrement le contraste pour masquer les artefacts et s'accomoder de débits plus bas. Les valeurs initiales dans l'intervale -100 à 100 peuvent être fournies en ligne de commandes. Égaliseur logiciel alternatif qui utilise des tables de lookup (très lent), autorisant une correction du gamma en plus d'un simple ajustement de luminosité, de contraste et de saturation. Notez que cela utilise le même code MMX optimisé que -vop eq si toutes les valeurs gamma sont 1.0. Les paramètres sont donnés en nombres à virgule. Les paramètres rg, gg, bg sont les valeurs gamma indépendantes pour les composants Rouge, Vert et Bleu. Les valeurs par défaut sont 1.0, luminosité=0.0. Les intervalles de valeur sont 0.1-10 pour les gammas, -2-2 pour le contraste (les valeurs négatives provoquent une image négative), -1-1 pour la luminosité et 0-3 pour la saturation. Convertit le planar YUV 4:2:0 en 4:2:2 demi-hauteur, en downsamplant le luma mais en gardant les samples chroma. Utile quand la sortie est un périphérique à basse résolution quand la diminution est de mauvais qualité ou n'est pas disponible. Peut également être utilisé comme désentrelaceur primitif pour luma uniquement avec une utilisation CPU très basse. Par défaut, halfpack fait une moyenne des paires de lignes pendant le downsampling. Le paramètre optionnel f peut valoir 0 pour n'utiliser que les lignes paires, ou 1 pour n'utiliser que les lignes impaires. Tout autre valeur de f renvoie au comportement par défaut (moyenne). Détecte et saute la première des trames entrelacées du flux video. Les valeurs peuvent aller de 0.0 à 1.0 la première (0.15 par défaut) est la différence entre les pixels voisins, la seconde (0.15 par défaut) est la partie de l'image qui devra être détectée comme entrelacée pour sauter la trame. Masque unsharp / flou gaussien. l: Applique l'effet sur le composant luma
c: Applique l'effet sur les composants chroma
LxH: largeur et hauteur de la matrice, tailles impaires dans les deux directions (min = 3x3, max = 13x11 ou 11x13, généralement quelque chose entre 3x3 et 7x7)
montant: taux relatif de dureté / flou à ajouter à l'image (généralement quelque chose entre -1.5 et 1.5)
    <0: flou
    >0: dur Echange les plans U & V. (dés)entrelace les lignes. Le but de ce filtre est d'ajouter la possibilité de traiter le pré-champs d'images entrelacées sans les désentrelacer. Vous pouvez filtrer votre DVD entrelacé et le jouer sur la TV sans casser l'entrelacement. Pendant que le désentrelacement (avec le filtre de postprocessing) supprime le désentrelacement de façon permanente (en lissant la moyenne etc), le démultiplexage sépare la trame en 2 champs (appelé demi-images), de façon à ce que vous puissiez les traiter (filtrer) indépendemment et les re-multiplexer. d: désentrelace
i: entrelace
s: échange les champs (échange les lignes paires & impaires) Extrait un seul champs d'une image entrelacée en utilisant un calcul large pour éviter de gaspiller le temps CPU. L'argument optionnel n spécifie si l'on doit extraire un champs pair ou impair (selon que n soit pair ou impair). Essaie d'inverser le processus de "telecine" pour retrouver un flux propre et non-entralaçé au débit du film. Ce filtre est toujours expérimental mais semble être utilisable. Les arguments suivant (voir leur syntaxe plus bas) peuvent êtres utilisés pour contrôler son comportement: dr: Définie le mode saut de trames. 0 (par défaut) signifie ne pas sauter de trames pour maintenir le débit de sortie. 1 signifie toujours sauter la trame si il n'y a pas eu de sauts ou d'assemblage telecine dans les 5 dernières trames. 2 signifie toujours maintenir le rapport exact 5:4 entre l'entrée et la sortie. (Note: utilisez le mode 1 avec MEncoder!)
am: Type d'analyse. Les valeurs disponibles sont 0 (motif fixé avec numéro de trame initiale spécifiée par fr=#) et 1 (recherche agressive du motif telecine). La valeur par défaut est 1.
fr: Définie le numéro de trame initiale de la séquence. 0-2 sont les trois trames progressives propre; 3 et 4 sont les deux trames entrelaçées. La valeur par défaut, -1, signifie "pas dans la séquence telecine". Le nombre spécifié ici est le type de la précédente trame imaginaire avant le début du film.
tr0, tr1, tr2, tr3: Valeurs seuil à utiliser dans certains types. Applique un processus telecine 3:2 "telecine" pour augmenter le débit de 20%. Cela ne fonctionnera surement pas correctement avec MPlayer, mais peut être utilisé avec "mencoder -fps 29.97 -ofps 29.97 -vop telecine". Les deux options fps sont essentielles ! (la synchro A/V sera brisée si elles sont mauvaises.) Le paramètre optionnel départ indique où démarrer (0-3). Séparation temporelle des champs -- sépare les champs en trames, doublant le débit de sortie. En mode 0, le filtre ne touchera pas aux champs, ce qui donnera une sortie demi-hauteur. En mode 1, les parties entrelaçées de l'image seront interpolées pour reconstruire des trames pleines-hauteur. Comme le filtre telecine, "tfields" ne fonctionnera correctement qu'avec MEncoder, et seulement si -fps et -ofps sont définis au débit (double) désiré ! flou boite rayon: taille du filtre
puissance: À quelle fréquence le filtre devrait être appliqué. flou adapté aux formes rad: force du filtre de flou (~0.1-4.0) (plus lent si plus large)
pf: force du préfiltre (~0.1-2.0)
colorDiff: différence autorisée des pixels (~0.1-100.0) flou smart rad: force du filtre de flou (~0.1-5.0) (le plus bas est le plus large)
strength: flou (0.0-1.0) ou accentuation (-1.0-0.0)
thresh: filtre tout (0), filtre les surfaces plates (0-30) ou filtre les bords (-30-0) correction de perspective x0,y0,...: coordonnées des coins supérieur-gauche, supérieur-droit, inférieur-gauche et inférieur-droit corners
t: ré-échantillonnage linéaire (0) ou cubique (1) Utilise le zoom x2 et l'algorithme d'interpolation pour dimensionner et lisser les images. conversion bitmap 1bpp vers YUV/BGR 8/15/16/32 Repositionne et redimmensionne les images stéréoscopiques. Extrait les deux champs et les place côte à côte, ler redimmensionnant pour garder l'aspect du film. lignes: nombre de lignes à sélectionner à partir du milieu de l'image (par défault: 12) Lit les bitmaps depuis un FIFO et les affiche dans une fenêtre. hidden: définie la valeur par défaut de l'option 'hidden' (booléen)
opaque: option changeant de mode entre alphablended (transparent) et opaque (rapide)
fifo: chemin/nom de fichier pour le FIFO (pipe nommé connectant mplayer -vop bmovl à l'application le contrôlant)
    les commandes FIFO sont:
RGBA32 largeur hauteur xpos ypos alpha clear
suivi de largeur*hauteur*4 octets de données RGBA32 brutes. ABGR32 largeur hauteur xpos ypos alpha clear
suivi de largeur*hauteur*4 octets de données ABGR32 brutes. RGB24 largeur hauteur xpos ypos alpha clear
suivi de largeur*hauteur*3 octets de données RGB32 brutes. BGR24 largeur hauteur xpos ypos alpha clear
suivi de largeur*hauteur*3 octets de données BGR32 brutes. ALPHA largeur hauteur xpos ypos alpha
change l'alpha de la surface CLEAR largeur hauteur xpos ypos
efface la surface OPAQUE
désactive toute transparence alpha. Envoyez "ALPHA 0 0 0 0 0" pour la réactiver. HIDE
cache la bitmap SHOW
montre la bitmap
    Les arguments sont:
width, height: taille de l'image/surface
xpos, ypos: démarre le blitting à la position X/Y
alpha: fixe la différence alpha. 0 signifie la même que l'original, 255 rends tout opaque, -255 rends tout transparent. Si vous le fixez à -255 vous pouvez envoyer une séquence de commandes ALPHA pour fixer la surface à -225, -200, -175 etc pour un joli effet de fondu ! ;)
clear: efface le framebuffer avant blitting. 1 signifie effacer, si 0, l'image sera simplement blittée par dessus l'ancienne, donc vous n'aurez pas à envoyer 1,8 Mo de données RGBA32 chaque fois qu'une petite partie de l'écran est mise à jour.

-x <x> (MPLAYER uniquement)
    Zoome l'image à la largeur x (si le zoom sw/hw est disponible). Désactive les calculs d'aspect.

-xvidopts <option1:option2:...>
    Spécifie les paramètres additionnels en encodant avec XviD.

-xy <x>
    Zoome l'image d'un facteur <x>. Initialiser la largeur à <x> et calculer la hauteur pour garder l'aspect ratio.

-y <y> (MPLAYER uniquement)
    Zoome l'image à la hauteur y (si le zoom sw/hw est disponible). Désactive les calculs d'aspect.

-zoom Permet le zoom logiciel, si disponible.
    Peut être utilisé pour forcer le zoom avec -vop scale. NOTE:
    -vop scale IGNORERA les options -x / -y / -xy / -fs / -aspect sans -zoom.

OPTIONS D'ENCODAGE (MENCODER UNIQUEMENT)

-audio-density <1-50>
    Nombre de morceaux audio par seconde (la valeur par défaut est 2 pour des morceaux audio de 0.5s de long). NOTE:
    CBR uniquement, VBR l'ignore car il place chaque paquet dans un nouveau morceau.

-audio-delay <0.0-...>
    Initialise le champs de décalage audio dans l'entête. La valeur par défaut est 0.0, les valeurs négatives ne fonctionnent pas. Cela ne décale pas l'audio pendant l'encodage, mais le lecteur verra le décalage audio par défaut, vous évitant l'utilisation de l'option -delay.

-audio-preload <0.0-2.0>
    Initialise l'intervalle de mémoire tampon (0.5s par défaut).

-divx4opts <option1:option2:...>
    Pour l'encodage en DivX4, vous pouvez spécifier ses paramètres ici.
    Les options disponibles sont: obtenir l'aide spécifie le bitrate en kbit <4-16000> ou en
    bit <16001-24000000> intervalle maximal entre deux trames-clé (en trames) active le désentrelacement (évitez ça, DivX4 est boggué) qualité (1-plus rapide, 5-meilleur) quantizer minimal quantizer maximal période de contrôle du débit période de réaction de contrôle du débit rapport de réaction de contrôle du débit spécifie la dureté/douceur Avec ça vous pouvez encoder des fichiers DivX4 2passes. D'abord encodez avec pass=1, puis avec les mêmes paramètres encodez avec pass=2. Outrepasse l'argument -pass et utilise la librairie VBR XviD au lieu du VBR DivX4. Les options par défaut sont: 0: encodage une passe (comme en ne mettant pas -pass en ligne de commande)
    1: (Première) passe d'analyse de l'encodage deux passes. Le fichier AVI de destination peut être dirigé vers /dev/null.
    2: (Seconde) passe finale de l'encodage deux passes.

-endpos <[[hh:]mm:]ss[.ms]|taille[o|ko|mo]> (voir les options -ss et -sb
    également) Stoppe l'encodage à la position temps ou octet indiquée. Peut être spécifié de plusieurs façons: NOTE:
    La position en octet ne sera pas approprié, car on ne peut s'arrêter qu'à une limite de trame. EXEMPLE: n'encode que 56 secondes n'encode que 1 heure 10 minutes n'encode que 100 Mo

-ffourcc <fourcc>
    Peut être utilisé pour outrepasser le fourcc vidéo du fichier de destination. EXEMPLE: le fichier de destination contiendra 'div3' en tant que fourcc vidéo.

-include <fichier de configuration>
    Spécifie le fichier de configuration à analyser après ceux par défaut.

-info <option1:option2:...> (.AVI uniquement)
    Spécifie l'entête d'info dans le fichier .AVI de destination.
    Les options disponibles sont: affiche cette description titre du sujet du fichier artiste ou auteur du sujet original du fichier catégorie de travail originale contenu du fichier information de copyright du fichier forme originale du matériel qui a été numérisé commentaires généraux sur le fichier ou le sujet du fichier

-lameopts <option1:option2:...>
    Pour l'encodage en MP3 avec libmp3lame, vous pouvez spécifier ses paramètres ici.
    Les options disponibles sont: afficher l'aide méthode variable bitrate 0: cbr
    1: mt
    2: rh(par défaut)
    3: abr
    4: mtrh
    Force également l'encodage en mode CBR sur les modes ABR sélectionnés suivant spécifie le bitrate en kBit (CBR et ABR uniquement) qualité (0-plus haut, 9-plus bas) (uniquement pour VBR) qualité algorithmique (0-meilleur/plus lent, 9-pire/plus rapide) rapport de compression fixer le gain d'entrée audio (par défaut: auto) 0: stéréo
    1: joint-stereo
    2: dualchannel
    3: mono 0: non
    1: tous
    2: ajuste passe au mode VBR pré-sélectionné suivant, plus rapide que l'actuel, qualité légèrement inférieure et bitrates plus hauts. fournit les paramètres pour la plus haute qualité possible. medium: encodage VBR, bonne qualité, intervalle bitrate 150-180 kbps.
    standard: encodage VBR, haute qualité, intervalle bitrate 170-210 kbps.
    extreme: encodage VBR, très haute qualité, intervalle bitrate 200-240 kbps.
    insane: encodage CBR, plus haute qualité pré-sélectionnée, bitrate 320 kbps.
    <8-320>: encodage ABR au bitrate moyen indiqué.
EXEMPLE: pour la plupart des gens et la plupart des musiques et déjà de très haute qualité. encode avec les présélections ABR à un bitrate constant forcé à 192 kbps. encode avec les présélections ABR à un bitrate moyen de 172 kbps. pour les gens avec une oreille extrêmement bonne et un équipement en rapport. affiche les options supplémentaires et des informations sur les paramètres pré-sélectionnés.

-lavcopts <option1:option2:...>
    Si vous encodez avec libavcodec, vous pouvez spécifier ses paramètres ici. EXEMPLE: -lavcopts vcodec=msmpeg4:vbitrate=1800:vhq:keyint=250
    Les options par défaut sont:
utilise le codec indiqué (il n'y en a pas par défaut, vous devez le spécifier): mjpeg: Motion JPEG
h263: H263
h263p: H263 Plus
mpeg4: DivX 4/5
msmpeg4: DivX 3
rv10: un ancien codec RealVideo
mpeg1video: MPEG1 video :) minimum quantizer (passe 1/2) 1: Non recommandé (fichier bien plus gros, petite différence de qualité et mauvais effets secondaires: msmpeg4, h263 seront de mauvaise qualité, le contrôle du débit sera perdu entrainant une mauvaise qualité et certains décodeurs seront incapables de le décoder).
2: Recommandé pour l'encodage normal mpeg4/mpeg1video (par défaut).
3: Recommandé pour h263(p)/msmpeg4. La raison de préférer 3 à 2 est que 2 peut conduire à des dépassements (ceci sera corrigé pour h263(p) en changeant les quantizer par BM dans le futur, msmpeg4 ne peut être corrigé car il ne supporte pas cela) constant quantizer / qualité d'encodage constante (sélectionne le mode quantizer fixe). Une valeur basse signifie une meilleur qualité mais de gros fichiers (par défaut: 0 (désactivé)). 1 n'est pas recommandé (voir -vqmin pour plus de détails). maximum quantizer (passe 1/2) 10-31 devrait être un intervale raisonable (par défaut: 31) minimum macroblock quantizer (passe 1/2) (par défault: 2) maximum macroblock quantizer (passe 1/2) (par défault: 31) maximum quantizer entre les trames I ou P (passe 1/2) (par défaut: 3) nombre maximum de trames B entre les trames non B: 0: pas de trames B (par défaut)
0-2: intervalle sensé pour MPEG4 méthode d'estimation du mouvement: 0: aucune (qualité très basse)
1: pleine (lent)
2: log (mauvaise qualité)
3: phods (mauvaise qualité)
4: EPZS (par défaut)
5: X1 (expérimental) Note: 0-3 pour l'instant ignorent le montant de Bits utilisés, donc la qualité peut être mauvaise. meilleur. C'est lent mais donne de meilleurs qualité et taille de fichier. (par défaut: désactivé) 4 vecteurs de mouvement par macrobloc (qualité légèrement meilleure), (par défaut: désactivé) intervalle entre les trames-clé en trames. Les trames-clé sont nécessaires pour les déplacement puisque celui-ci n'est possible que vers une trame-clé, mais les trames-clé ont besoin de plus d'espace que les autres trames donc de plus grands nombres ici signifient fichiers légèrement plus petits, mais déplacement plus précis, 0 signifie pas de trame-clé. Les valeurs >300 ne sont pas recommandées car la qualité peut être mauvaise suivant le décodeur, l'encodeur et la chance. Pour une conformité stricte MPEG1/2/4 cela devrait être <=132. (par défaut: 250 ou une trame-clé toutes les dix secondes dans un film à 25fps) stratégie à choisir entre les trames I/P/B (passe 2): 0: toujours utiliser le nombre maximum de trames B (par défaut)
1: éviter les trames B dans les scènes avec beaucoup de mouvement (prédictions incorrectes du bitrate) Active le mode 2passes interne, ne le spécifiez que si vous désirez utiliser l'encodage deux passes (par défaut: désactivé): 1: première passe
2: seconde passe Astuce: Essayez d'utiliser le mode quantiseur constant pour la première passe (vqscale=<quantiseur>).
huffyuv: la passe 1 sauve les statistiques
la passe 2 encode avec une table Huffman optimisée d'après les statistiques de la passe 1. Stocke l'aspect du film en interne, tout comme les fichiers MPEG. Bien meilleur solution que le redimensionnement, car la qualité n'en est pas diminuée. Seul MPlayer sera capable de relire ces fichiers correctement, les autres lecteurs l'afficheront avec un mauvais aspect. Le paramètre d'aspect peut être donné en tant que ratio ou nombre à virgule. Exemple: aspect=16/9, aspect=1.78 spécifie le bitrate (passe 1/2) en kBit <4-16000> ou
Bit <16001 - 24000000>
(attention: 1kBit = 1000 Bits)
(par défaut: 800) tolérance approximative de taille du fichier en kbit. 1000-100000 est un interval raisonable. (Attention: 1kBit = 1000 Bits) (par défaut: 8000) bitrate maximum en kbit/sec (passe 1/2) bitrate minimum en kbit/sec (passe 1/2) taille du tampon en kbit (passe 1/2). Note: vratetol ne devrait pas être trop grand durant la seconde passe ou il pourrait y avoir des problèmes si vrc_(min|max)rate est utilisé. facteur quantizer entre les trames B et non B (passe 1/2) (par défaut: 1.25) (passe 1/2) (par défaut: 0.8) offset quantizer entre les trames B et non B (passe 1/2) (par défaut: 1.25) (passe 1/2) (par défaut: 0.0)
si v{b|i}_qfactor > 0
I/quantizer Trame-B = quantizer Trame-P * v{b|i}_qfactor + v{b|i}_qoffset
sinon
procède à un contrôle de débit normal (ne verrouille pas le prochain quantizer trame P) et initialise q= -q * v{b|i}_qfactor + v{b|i}_qoffset Astuce: Pour faire de l'encodage avec quantizer constant avec des quantizers différents pour les trames I/P et B vous pouvez utiliser: vqmin=<ip_quant>:vqmax=<ip_quant>:vb_qfactor=<b_quant/ip_quant> flou quantizer (passe1) Des valeurs plus importantes provoqueront plus de moyennes dans le temps (variations plus basses). 0.0: qblur désactivé
0.5 (par défaut)
1.0: fais une moyenne du quantizer sur toutes les trames précédentes flou gaussien quantizer (passe2), de plus grandes valeurs provoqueront plus de moyennes dans le temps (variations plus basses) (par défaut: 0.5) compression quantizer, dépends de vrc_eq (passe 1/2) (par défaut: 0.5) équation principale de contrôle de débit (passe 1/2): 1: constant bitrate
tex: qualité constante
1+(tex/avgTex-1)*qComp: approximativement l'équation de l'ancien code de contrôle de débit
tex^qComp: avec qcomp 0.5 ou quelque chose comme ça (par défaut) infix operators: +,-,*,/,^ variables:
tex: complexité texture
iTex,pTex: complexité texture intra, non intra
avgTex: complexité texture moyenne
avgIITex: complexité texture intra dans les trames I
avgPITex: complexité texture intra dans les trames P
avgPPTex: complexité texture non intra dans les trames P
avgBPTex: complexité texture non intra dans les trames B
mv: Bits utilisés pour les vecteurs de mouvement
fCode: longueur maximum de vecteurs de mouvement en zoom log2
iCount: nombre d'intra blocs macro / nombre de blocs macro
var: complexité spatiale
mcVar: complexité temporelle
qComp: qcomp depuis la ligne de commande
isI, isP, isB: 1 si le type d'image est I/P/B sinon 0
Pi,E: voir votre livre de math favori fonctions:
max(a,b),min(a,b): maximum / minimum
gt(a,b): est 1 si a>b, 0 sinon
lt(a,b): est 1 si a<b, 0 sinon
eq(a,b): est 1 si a==b,0 sinon
sin, cos, tan, sinh, cosh, tanh, exp, log, abs Qualité définie par l'utilisateur pour les parties spécifiques (fin, remerciements, ..) (passe 1/2). Les options sont <start-frame, end-frame, quality[/start-frame, end-frame, quality[/...]]>: qualité 2-31: quantizer
qualité -500-0: correction qualité en % complexité initiale (passe 1) spécifie comment garder le quantizer entre qmin et qmax (passe 1/2): 0: utilise le clipping
1: utilise une bonne fonction différentiable (par défaut) simple coefficient de seuil d'élimination pour la luminance. Des valeurs négatives prendront aussi en compte le coefficient dc (qui devrait être au moins -4 ou plus bas pour l'encodage à quant=1): 0: désactivé (par défaut)
-4 (recommandation JVT) simple coefficient de seuil d'élimination pour la chrominance. Des valeurs négatives prendront aussi en compte le coefficient dc (qui devrait être au moins -4 ou plus bas pour l'encodage à quant=1): 0 désactivé (par défaut)
7 (recommandation JVT) conformité standard stricte. 0: désactivé (par défaut)
1: Seulement recommandé si vous voulez fournir la sortie au décodeur mpeg4 de référence
-1: permet l'encodage non-standard huffyuv YV12 (fichiers 20% plus petits, mais qui ne peuvent pas être relus par le codec huffyuv officiel) partitionnement des données. Ajoute 2 octets par paquet vidéo, améliore la résistance aux erreurs pendant un transfert sur un canal non-fiable(c-a-d. streamer sur l'internet) Chaque paquet vidéo sera encodé dans trois partitions différentes: 1. MVs (=mouvement)
2. coefficients DC (=image basse rès.)
3. coefficients AC (=détails) MV & DC sont les plus importants, les perdre est bien pire que de perdre les partitions AC et 1. & 2. (MV&DC) sont bien plus petites que la partition 3. (AC) ce qui veut dire que les erreurs atteindrons la partition AC bien plus souvent que les partitions MV&DC. Ainsi, l'image est plus belle en partitionant que sans, car sans partitionement une erreur plantera AC/DC/MV équitablement. Taille des paquets vidéo, améliore la résistance aux erreurs (voir également l'option -vdpart): 0: désactivé (par défaut)
100-1000: bon choix encodage en niveaux de gris uniquement (plus rapide) (par défaut: désactivé) algorithme dct: 0: en sélectionne un bon automatiquement (par défaut)
1: entier rapide
2: entier adapté
3: mmx
4: mlib algorithme idct. Note: À notre connaissance tous ces IDCTs réussissent les test IEEE1180. 0: en sélectionne un bon automatiquement (par défaut)
1: jpeg reference integer
2: simple
3: simplemmx
4: libmpeg2mmx (inadapté, NE PAS UTILISER en encodant avec keyint >100)
5: ps2
6: mlib
7: arm masquage de la luminance. Attention: Soyez prudent, de trop grandes valeurs peuvent causer des résultats désastreux. Attention2: De grandes valeurs peuvent paraître bonnes sur certains moniteurs mais peuvent être horribles sur d'autres moniteurs: 0.0: désactivé (par défaut)
0.0-0.3: intervalle sensé masquage d'obscurité. Attention: Soyez prudent, de trop grandes valeurs peuvent causer des résultats désastreux. Attention2: De grandes valeurs peuvent paraître bonnes sur certains moniteurs mais peuvent être horribles sur d'autres moniteurs / TV / TFT: 0.0: désactivé (par défaut)
0.0-0.3: intervalle sensé masquage de la complexité temporelle (par défaut: 0.0 (désactivé)) masquage de la complexité spatiale. De plus grandes valeurs peuvent aider contre le blocage, si aucun filtre de déblocage n'est utilisé pour l'encodage. Astuce: Coupe tous les bords noirs car ils vont réduire la qualité des blocs macro (s'applique également sans scplx_mask). 0.0: désactivé (par défaut)
0.0-0.5: intervalle sensé Normalise la quantisation adaptive (expérimental). En utilisant la quantisation adaptive (*_mask), le quantizer moyen par Mo peut ne pas correspondre au quantizer niveau-trame demandé. Naq essaiera de s'ajuster aux quantizers par Mo pour maintenir une moyenne correcte. utilise un dct entrelacé YV12: défaut
422P: pour huffyuv (pour huffyuv) 0: prédiction gauche
1: prédiction plane/gradient
2: prédiction médiane utilise la compensation par quarter pel motion Astuce: Cela semble utile uniquement pour les encodages à haut débit. fonction de comparaison pour estimation pel motion complète fonction de comparaison pour sous estimation pel motion 0 (SAD): somme des différences absolues, rapide (par défaut)
1 (SSE): somme des erreurs au carré
2 (SATD): somme des différences transformées des hadamard absolus
3 (DCT): somme des différences transformées des dct absolus
4 (PSNR): somme des erreurs de quantisation au carré (ne pas utiliser, mauvaise qualité)
5 (BIT): nombre de bits requis pour le bloc
6 (RD): taux de distortion optimal, lent
7 (ZERO): 0
+256: utile également chroma, ne fonctionne pas (correctement) avec les trames B actuellement Type et taille de diamant pour la pré-passe d'estimation de mouvement Type et taille de diamant pour l'estimation de mouvement. Note: Les tailles des diamants normales et celles de ceux à dimensions adaptées n'ont pas la même signification -3: dimension adaptée de taille 3 (rapide)
-2: dimension adaptée de taille 2 (rapide)
-1: experimental
 1: diamant normal, taille=1 (par défaut) = type de diamant EPZS
      0
     000
      0
 2: diamant normal, taille=2
      0
     000
    00000
     000
      0
Quantisation Trellis. Ceci trouvera l'encodage optimal pour chaque bloc 8x8. La quantisation Trellis est tout simplement un quantisation optimale sur PSNR contre sens de bitrate (en supposant qu'il n'y aurait pas d'erreurs introduites par l'IDCT, ce qui n'est clairement pas le cas) il trouve simplement un bloc pour le nombre minimum d'erreurs et lambda*bits. lambda: constante dépendante de qp
bits: quantité de bits requis pour encoder le bloc
error: somme des erreurs au carré de la quantisation Montant des prédicateurs de mouvement à partir de la trame précédente 0: (default)
a: utilisera 2a+1 x 2a+1 blocs macro au carré de prédicateurs de vecteurs de mouvement pour la trame précédente pré-passe d'estimation de mouvement 0: désactivée
1: uniquement après I trames (par défaut)
2: toujours ré-affinage de la qualité subpel (pour qpel) (par défaut: 8). Note: ceci a un effet significatif sur la vitesse. affiche le psnr (peak signal to noise ratio) pour l'ensemble de la vidéo après l'encodage et stocke le psnr par trame dans un fichier comme 'psnr_012345.log'. Les valeurs de retour sont en dB (décibel), le plus haut est le mieux. utilise les quantizers MPEG au lieu de H.263. (par défaut: désactivé) (c-a-d. utilisez les quantizers H.263) Intra prédication avancée (H.263+ uniquement) Note: vqmin devrait être égal à 8 ou plus. VMs illimités (H.263+ uniquement) Authorise l'encodages de VMs de longueur arbitraire.

-noskip
    Ne saute pas de trames.

-o <nomfichier>
    Envoie dans le nom fichier indiqué, au lieu de 'test.avi' par défaut.

-oac <nom codec>
    Encode avec le codec audio. Utilisez -ovc help pour obtenir une liste des codecs disponibles. (pas de valeur par défaut) EXEMPLE: pas d'encodage, juste une copie du flux encode en PCM non-compressé encode en MP3 (en utilisant Lame)

-of <format> (CODE BETA!)
    Encode dans le format spécifié. Utilisez -of help pour obtenir une liste des formats disponibles. EXEMPLE: encode en avi (par défaut) encode en mpeg

-ofps <fps>
    Le fichier de destination à un rapport trame/sec différent du fichier source. Vous DEVEZ l'initialiser pour les fichiers à fps variables (asf, quelques mov) et progressifs (mpeg telecine à 29.97fps).

-ovc <nom codec>
    Encode avec le codec vidéo indiqué. Utilisez -ovc help pour avoir une liste des codecs disponibles. (pas de valeur par défaut) EXEMPLE: pas d'encodage, juste une copie du flux encode en DivX4/DivX5 ou XviD encode en RGB24 non-compressé encode avec un codec libavcodec

-passlogfile <nomfichier>
    Pendant l'encodage en mode 2passes, MEncoder envoie les informations de la première passe dans le fichier indiqué au lieu de l'envoyer dans divx2pass.log.

-skiplimit <valeur>
    Nombre maximal de trames sautables après une non-sautée (-noskiplimit pour un nombre illimité).

-v, --verbose
    Active le mode verbeux (plus de -v signifie plus de verbosité). uniquement quelques sorties informelles (par défaut) quelques infos basiques de débogage, entête avi, valeurs des fonctions (débogage de l'initialisation) affiche les indexes avi, entrées de tronquage, plus d'infos de débogage (débogage du lecteur) affiche tout ce qui est relatif aux parseurs d'entrée (déboguage des parsers)

-vobsubout <nomdebase>
    Spécifie le nomdebase pour les fichiers .idx et .sub de destination. Cela désactive le rendu des sous-titres dans le film encodé et le redirige vers les fichiers de sous-titre Vobsub.

-vobsuboutindex <index>
    Spécifie l'index des sous-titres dans les fichiers de sortie. (par défaut: 0)

-vobsuboutid <langid>
    Spécifie la le code de langue à deux lettres pour les sous-titres. Ceci outrepasse ce qui est lu depuis le DVD ou le fichier .ifo.

-xvidencopts <option1:option2:...>
    Si vous encodez vers XViD, vous pouvez spécifier ses paramètres ici.
    Il y a trois modes disponibles: constant bitrate (CBR), quantizer fixe et 2passes.
    Les options disponibles sont: spécifie la passe en mode 2passes fixe le bitrate à utiliser en kbits/seconde si <16000 ou en bits/seconde si >16000 (CBR ou mode 2passes, défault=687 kbits/s) passe en mode quantizer fixe et spécifie le quantizer à utiliser spécifie la qualité de détection de mouvement (par défaut=4) utilise 4 vecteurs de mouvement par macro-bloc, peut apporter une meilleure compression au coût d'un encodage plus lent (par défaut=off) spécifie avec quelle rapidité le contrôleur de volume réagit, les valeurs les plus basses sont les plus rapides période pour atteindre la moyenne requise taille du tampon de contrôle du débit quantizer min & max pour toutes les trames (défaut=2-31, mode CBR)
    quantizer min & max pour trames I/P (défaut=2-31/2-31, mode 2passes) intervalle minimum entre les trames-clé (défaut=0, 2passes uniquement) intervalle maximum entre les trames-clé (défaut=10*fps) utilise les quantizers MPEG au lieu de H.263 (défaut=off) décide d'utiliser ou non les quantizers MPEG ou H.263 sur une base trame-par-trame. (défaut=off, mode 2passes uniquement) utilise un algorithme de lumimasquage (défaut=off, semble bogué) sauve les vecteurs d'Estimation de Mouvement dans un fichier durant la première passe et réutilise ce fichier dans la seconde (défaut=off, mode 2passes uniquement, semble bogué) spécifie le fichier temporaire qui devra être utilisé par l'option 'hintedme' (par défaut=./xvid_hint_me.dat, mode 2passes uniquement) sauve les statistiques par trames dans xvid.dbg (par défaut: off)
    ce n'est *pas* le fichier de contrôle 2passes (défaut=0, mode 2passes uniquement) (défaut=10, mode 2passes uniquement) (défaut=30, mode 2passes uniquement)

CONTROLE CLAVIER
NOTE:
MPlayer dispose d'une couche de contrôle pleinement configurable, qui vous permet de contrôler MPlayer avec le clavier, la souris, le joystick ou une télécommande (en utilisant LIRC).
Le fichier de configuration par défaut pour le système d'entrée est ~/.mplayer/input.conf mais cela peut être outrepassé en utilisant l'option -input conf.
Ces touches peuvent/ne peuvent pas fonctionner, suivant votre pilote de sortie vidéo.

contrôle général
    recule/avance de 10 secondes recule/avance d'1 minute recule/avance de 10 minutes recule/avance dans la liste de lecture va à la prochaine/précédente entrée dans la liste parente va à la prochaine/précédente source (liste de lecture asx uniquement) met le film en pause (n'importe quelle touche pour redémarrer) stoppe la lecture est quitte ajuste le décalage audio de +/- 0.1 seconde réduit/augmente le volume réduit/augmente le volume coupe le son (mute) bascule en plein-écran réduit/augmente l'intervalle panscan bascule entre les états OSD: aucun / déplacement / déplacement+chrono bascule les sauts de trame bascule l'affichage des sous-titres change de langue de sous-titres bascule l'alignement des sous-titres: haut/milieu/bas ajuste le décalage des sous-titres de +/- 0.1 seconde ajuste la position des sous-titres créé une marque EDL
(Les touches suivantes ne sont valides qu'en utilisant -vo xv ou -vo [vesa|fbdev]:vidix ou -vo xvidix -vo (x)mga ou -vc divxds (lent).) ajuste le contraste ajuste la luminosité ajuste la couleur ajuste la saturation

Contrôle clavier de la GUI
    démarre la lecture stoppe la lecture charge un fichier navigateur de skins bascule la liste de lecture

Contrôle entrée TV
    sélectionne le précédent/prochain canal change de norme change la liste des canaux

Contrôle entrée DVDNAV
    se déplace en haut /en base/à gauche/à droite saute au menu principal sélectionne

PROTOCOLE MODE ESCLAVE
Si l'option -slave est donnée, la lecture est contrôlée par un protocole ligne. Chaque ligne contient une commande sinon un des jetons suivants:

Commandes
    Se déplace à un endroit donné du film. Le type 0 est un déplacement relatif de +/- <valeur> secondes. Le type 1 se déplace à <valeur> % du film. Le type 2 est un déplacement en position absolue de <valeur> secondes. Ajuste le décalage audio de valeur secondes Quitte MPlayer Pause/dépause la lecture Quelqu'un sait ? Va à la prochaine/précédente entrée de la liste. Comme pt_step mais saute à la prochaine/précédente de la liste parente. Quand plus d'une source est disponible sélectionne la prochaine/précédente (uniquement supporté par les listes de lecture asx). Ajuste le décalage des sous-titres de +/- <valeur> secondes et l'initialise à <valeur> secondes quand abs n'est pas égal à zéro. Bascule le mode osd ou le met à un niveau quand level > 0. Augmente/diminue le volume Initialise/Ajuste les paramètres video. Bascule/Initialise le mode saut de trames. Bascule l'affichage des sous-titres. Ajoute la position des sous-titres. Passe en mode plein-écran. Sélectionne le prochain/ précédent canal tv. Change de norme TV. Change de liste des canaux. Actions GUI

FICHIERS

/etc/mplayer/mplayer.conf
    paramètres globaux

~/.mplayer/config
    paramètres utilisateur

~/.mplayer/input.conf
    correspondances des entrées (voir '-input keylist' pour la liste complète)

~/.mplayer/gui.conf
    fichier de config de la GUI

~/.mplayer/gui.pl
    liste de lecture de la GUI

~/.mplayer/font/
    Répertoire des polices (Il doit y avoir un fichier font.desc et des fichiers avec une extension .RAW)

~/.mplayer/DVDkeys/
    clés CSS crackées
Les fichiers Sub
    sont cherchés dans cet ordre (par exemple /mnt/film/film.avi): /mnt/cdrom/film.sub
    ~/.mplayer/sub/film.sub
    ~/.mplayer/default.sub

EXEMPLES

Lecture rapide de DVD
    mplayer -dvd 1

Lecture en japonais avec sous-titres anglais
    mplayer -dvd 1 -alang ja -slang en

Ne lire que les chapitres 5, 6, 7
    mplayer -dvd 1 -chapter 5-7

Lecture DVD multiangle
    mplayer -dvd 1 -dvdangle 2

Lecture depuis un autre périphérique DVD
    mplayer -dvd 1 -dvd-device /dev/dvd2

Ancienne méthode de lecture DVD (VOB)
    mplayer -dvdauth /dev/dvd /mnt/dvd/VIDEO_TS/VTS_02_4.VOB

Streaming depuis HTTP
    mplayer http://mplayer.hq/exemple.avi

Streaming en utilisant RTSP
    mplayer rtsp://server.exemple.com/NomFlux

Converti les sous-titres en MPsub (vers ./dump.mpsub)
    mplayer dummy.avi -sub source.sub -dumpmpsub

Entrée depuis V4L standard
    mplayer -tv on:driver=v4l:width=640:height=480:outfmt=i420 -vc rawi420 -vo xv

Encodage du titre #2 d'un DVD, uniquement les chapitres sélectionnés
    mencoder -dvd 2 -chapter 10-15 -o titre2.avi -oac copy -ovc divx4

Encodage du titre #2 d'un DVD, redimensionnement en 640x480
    mencoder -dvd 2 -vop scale=640:480 -o titre2.avi -oac copy -ovc divx4

Encodage du titre #2 d'un DVD, redimensionnement en 512xHHH (garder
    l'aspect ratio) mencoder -dvd 2 -vop scale -zoom -xy 512 -o titre2.avi -oac copy -ovc divx4

Même chose, mais avec compression MPEG4 (Divx5) via la famille libavcodec
    mencoder -dvd 2 -o titre2.avi -ovc lavc -lavcopts vcodec=mpeg4:vhq:vbitrate=1800 -oac copy

Même chose, mais avec compression MJPEG via la famille libavcodec
    mencoder -dvd 2 -o titre2.avi -ovc lavc -lavcopts vcodec=mjpeg:vhq:vbitrate=1800 -oac copy

Encodage de tous les fichiers *.jpg du répertoire courant
    mencoder jpg -mf on:fps=25 -o output.avi -ovc divx4

Encodage depuis un tuner TV
    mencoder -tv on:driver=v4l:width=640:height=480 -o tv.avi -ovc rawrgb

Encodage depuis un pipe
    rar p test-SVCD.rar | mencoder -ovc divx4 -divx4opts br=800 -ofps 24 -pass 1 -

Encodage de multiples fichiers *.vob
    cat *.vob | mencoder <options> -

BOGUES
Probablement. S'IL VOUS PLAIT, regardez la documentation (surtout bugreports.html), La FAQ et les archives des listes au moins deux fois avant!
Envoyez vos rapports de bogue complets à la liste de diffusion à <mplayer-users@mplayerhq.hu>. Nous adorons les rapports de bogues complets :)

AUTEURS
Voir la documentation.

MPlayer est (C) 2000-2003
    Arpad Gereoffy

Cette page de man est écrite et maintenue par
    Gabucino
    Diego Biurrun
    Jonas Jermann

et traduite en français par
    Nicolas Le Gaillart < n@tourmentine.com >

Merci d'envoyer les mails la concernant sur la liste de diffusion MPlayer-users.

DISCLAIMER STANDARD
A utiliser à vos risques et périls! Il peut y avoir des erreurs et inexactitudes qui peuvent endommager votre système ou votre oeil. Procédez avec précaution, et bien que ce ne soit souvent pas le cas, les auteurs déclinent toute responsabilités quant à l'utilisation de ce logiciel!